; Gambit wrapper built from "/System/Library/Frameworks/OpenGL.framework/Headers/gl.h".

(compile-options cc-options: "-iframeworkOpenGL" ld-options: "-framework OpenGL")
(c-declare "#include <OpenGL/gl.h>")

; #ifndef __gl_h_ 
; #define __gl_h_ 
;  
; #ifdef __cplusplus 
; extern "C" { 
; #endif 
;  
; /* 
; ** License Applicability. Except to the extent portions of this file are 
; ** made subject to an alternative license as permitted in the SGI Free 
; ** Software License B, Version 1.1 (the "License"), the contents of this 
; ** file are subject only to the provisions of the License. You may not use 
; ** this file except in compliance with the License. You may obtain a copy 
; ** of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 
; ** Amphitheatre Parkway, Mountain View, CA 94043-1351, or at: 
; ** 
; ** http://oss.sgi.com/projects/FreeB 
; ** 
; ** Note that, as provided in the License, the Software is distributed on an 
; ** "AS IS" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS 
; ** DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND 
; ** CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A 
; ** PARTICULAR PURPOSE, AND NON-INFRINGEMENT. 
; ** 
; ** Original Code. The Original Code is: OpenGL Sample Implementation, 
; ** Version 1.2.1, released January 26, 2000, developed by Silicon Graphics, 
; ** Inc. The Original Code is Copyright (c) 1991-2000 Silicon Graphics, Inc. 
; ** Copyright in any portions created by third parties is as indicated 
; ** elsewhere herein. All Rights Reserved. 
; ** 
; ** Additional Notice Provisions: This software was created using the 
; ** OpenGL(R) version 1.2.1 Sample Implementation published by SGI, but has 
; ** not been independently verified as being compliant with the OpenGL(R) 
; ** version 1.2.1 Specification. 
; */ 
;  
; // switches to providing function pointers 
; //#define GL_GLEXT_FUNCTION_POINTERS 1 
;  
(c-define-type GLenum unsigned-int)
(c-define-type GLboolean unsigned-char)
(c-define-type GLbitfield unsigned-int)
(c-define-type GLbyte signed-char)
(c-define-type GLshort short)
(c-define-type GLint int)
(c-define-type GLsizei int)
(c-define-type GLubyte unsigned-char)
(c-define-type GLushort unsigned-short)
(c-define-type GLuint unsigned-int)
(c-define-type GLfloat float)
(c-define-type GLclampf float)
(c-define-type GLdouble double)
(c-define-type GLclampd double)
(c-define-type GLvoid void)
;  
(c-define-type GLintptr long)
(c-define-type GLsizeiptr long)
;  
; #ifndef GL_TYPEDEFS_2_0 
; #define GL_TYPEDEFS_2_0 
(c-define-type GLchar char)
; #endif 
;  
; #ifndef GL_GLEXT_LEGACY 
; #include <OpenGL/glext.h> 
; #endif 
;  
; /* For compatibility with OpenGL v1.0 */ 
(define GL_LOGIC_OP GL_INDEX_LOGIC_OP)
(define GL_TEXTURE_COMPONENTS GL_TEXTURE_INTERNAL_FORMAT)
;  
; /*************************************************************/ 
;  
; /* Version */ 
(define GL_VERSION_1_1 1)
(define GL_VERSION_1_2 1)
(define GL_VERSION_1_3 1)
(define GL_VERSION_1_4 1)
(define GL_VERSION_1_5 1)
(define GL_VERSION_2_0 1)
(define GL_VERSION_2_1 1)
;  
; /* AccumOp */ 
(define GL_ACCUM #x0100)
(define GL_LOAD #x0101)
(define GL_RETURN #x0102)
(define GL_MULT #x0103)
(define GL_ADD #x0104)
;  
; /* AlphaFunction */ 
(define GL_NEVER #x0200)
(define GL_LESS #x0201)
(define GL_EQUAL #x0202)
(define GL_LEQUAL #x0203)
(define GL_GREATER #x0204)
(define GL_NOTEQUAL #x0205)
(define GL_GEQUAL #x0206)
(define GL_ALWAYS #x0207)
;  
; /* AttribMask */ 
(define GL_CURRENT_BIT #x00000001)
(define GL_POINT_BIT #x00000002)
(define GL_LINE_BIT #x00000004)
(define GL_POLYGON_BIT #x00000008)
(define GL_POLYGON_STIPPLE_BIT #x00000010)
(define GL_PIXEL_MODE_BIT #x00000020)
(define GL_LIGHTING_BIT #x00000040)
(define GL_FOG_BIT #x00000080)
(define GL_DEPTH_BUFFER_BIT #x00000100)
(define GL_ACCUM_BUFFER_BIT #x00000200)
(define GL_STENCIL_BUFFER_BIT #x00000400)
(define GL_VIEWPORT_BIT #x00000800)
(define GL_TRANSFORM_BIT #x00001000)
(define GL_ENABLE_BIT #x00002000)
(define GL_COLOR_BUFFER_BIT #x00004000)
(define GL_HINT_BIT #x00008000)
(define GL_EVAL_BIT #x00010000)
(define GL_LIST_BIT #x00020000)
(define GL_TEXTURE_BIT #x00040000)
(define GL_SCISSOR_BIT #x00080000)
(define GL_ALL_ATTRIB_BITS #x000fffff)
;  
; /* BeginMode */ 
(define GL_POINTS #x0000)
(define GL_LINES #x0001)
(define GL_LINE_LOOP #x0002)
(define GL_LINE_STRIP #x0003)
(define GL_TRIANGLES #x0004)
(define GL_TRIANGLE_STRIP #x0005)
(define GL_TRIANGLE_FAN #x0006)
(define GL_QUADS #x0007)
(define GL_QUAD_STRIP #x0008)
(define GL_POLYGON #x0009)
;  
; /* BlendEquationMode */ 
; /* GL_LOGIC_OP */ 
; /* GL_FUNC_ADD */ 
; /* GL_MIN */ 
; /* GL_MAX */ 
; /* GL_FUNC_SUBTRACT */ 
; /* GL_FUNC_REVERSE_SUBTRACT */ 
;  
; /* BlendingFactorDest */ 
(define GL_ZERO 0)
(define GL_ONE 1)
(define GL_SRC_COLOR #x0300)
(define GL_ONE_MINUS_SRC_COLOR #x0301)
(define GL_SRC_ALPHA #x0302)
(define GL_ONE_MINUS_SRC_ALPHA #x0303)
(define GL_DST_ALPHA #x0304)
(define GL_ONE_MINUS_DST_ALPHA #x0305)
; /* GL_CONSTANT_COLOR */ 
; /* GL_ONE_MINUS_CONSTANT_COLOR */ 
; /* GL_CONSTANT_ALPHA */ 
; /* GL_ONE_MINUS_CONSTANT_ALPHA */ 
;  
; /* BlendingFactorSrc */ 
; /* GL_ZERO */ 
; /* GL_ONE */ 
(define GL_DST_COLOR #x0306)
(define GL_ONE_MINUS_DST_COLOR #x0307)
(define GL_SRC_ALPHA_SATURATE #x0308)
; /* GL_SRC_ALPHA */ 
; /* GL_ONE_MINUS_SRC_ALPHA */ 
; /* GL_DST_ALPHA */ 
; /* GL_ONE_MINUS_DST_ALPHA */ 
; /* GL_CONSTANT_COLOR */ 
; /* GL_ONE_MINUS_CONSTANT_COLOR */ 
; /* GL_CONSTANT_ALPHA */ 
; /* GL_ONE_MINUS_CONSTANT_ALPHA */ 
;  
; /* Boolean */ 
(define GL_TRUE 1)
(define GL_FALSE 0)
;  
; /* ClearBufferMask */ 
; /* GL_COLOR_BUFFER_BIT */ 
; /* GL_ACCUM_BUFFER_BIT */ 
; /* GL_STENCIL_BUFFER_BIT */ 
; /* GL_DEPTH_BUFFER_BIT */ 
;  
; /* ClientArrayType */ 
; /* GL_VERTEX_ARRAY */ 
; /* GL_NORMAL_ARRAY */ 
; /* GL_COLOR_ARRAY */ 
; /* GL_INDEX_ARRAY */ 
; /* GL_TEXTURE_COORD_ARRAY */ 
; /* GL_EDGE_FLAG_ARRAY */ 
;  
; /* ClipPlaneName */ 
(define GL_CLIP_PLANE0 #x3000)
(define GL_CLIP_PLANE1 #x3001)
(define GL_CLIP_PLANE2 #x3002)
(define GL_CLIP_PLANE3 #x3003)
(define GL_CLIP_PLANE4 #x3004)
(define GL_CLIP_PLANE5 #x3005)
;  
; /* ColorMaterialFace */ 
; /* GL_FRONT */ 
; /* GL_BACK */ 
; /* GL_FRONT_AND_BACK */ 
;  
; /* ColorMaterialParameter */ 
; /* GL_AMBIENT */ 
; /* GL_DIFFUSE */ 
; /* GL_SPECULAR */ 
; /* GL_EMISSION */ 
; /* GL_AMBIENT_AND_DIFFUSE */ 
;  
; /* ColorPointerType */ 
; /* GL_BYTE */ 
; /* GL_UNSIGNED_BYTE */ 
; /* GL_SHORT */ 
; /* GL_UNSIGNED_SHORT */ 
; /* GL_INT */ 
; /* GL_UNSIGNED_INT */ 
; /* GL_FLOAT */ 
; /* GL_DOUBLE */ 
;  
; /* ColorTableParameterPName */ 
; /* GL_COLOR_TABLE_SCALE */ 
; /* GL_COLOR_TABLE_BIAS */ 
;  
; /* ColorTableTarget */ 
; /* GL_COLOR_TABLE */ 
; /* GL_POST_CONVOLUTION_COLOR_TABLE */ 
; /* GL_POST_COLOR_MATRIX_COLOR_TABLE */ 
; /* GL_PROXY_COLOR_TABLE */ 
; /* GL_PROXY_POST_CONVOLUTION_COLOR_TABLE */ 
; /* GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE */ 
;  
; /* ConvolutionBorderMode */ 
; /* GL_REDUCE */ 
; /* GL_IGNORE_BORDER */ 
; /* GL_CONSTANT_BORDER */ 
;  
; /* ConvolutionParameter */ 
; /* GL_CONVOLUTION_BORDER_MODE */ 
; /* GL_CONVOLUTION_FILTER_SCALE */ 
; /* GL_CONVOLUTION_FILTER_BIAS */ 
;  
; /* ConvolutionTarget */ 
; /* GL_CONVOLUTION_1D */ 
; /* GL_CONVOLUTION_2D */ 
;  
; /* CullFaceMode */ 
; /* GL_FRONT */ 
; /* GL_BACK */ 
; /* GL_FRONT_AND_BACK */ 
;  
; /* DataType */ 
(define GL_BYTE #x1400)
(define GL_UNSIGNED_BYTE #x1401)
(define GL_SHORT #x1402)
(define GL_UNSIGNED_SHORT #x1403)
(define GL_INT #x1404)
(define GL_UNSIGNED_INT #x1405)
(define GL_FLOAT #x1406)
(define GL_2_BYTES #x1407)
(define GL_3_BYTES #x1408)
(define GL_4_BYTES #x1409)
(define GL_DOUBLE #x140A)
;  
; /* DepthFunction */ 
; /* GL_NEVER */ 
; /* GL_LESS */ 
; /* GL_EQUAL */ 
; /* GL_LEQUAL */ 
; /* GL_GREATER */ 
; /* GL_NOTEQUAL */ 
; /* GL_GEQUAL */ 
; /* GL_ALWAYS */ 
;  
; /* DrawBufferMode */ 
(define GL_NONE 0)
(define GL_FRONT_LEFT #x0400)
(define GL_FRONT_RIGHT #x0401)
(define GL_BACK_LEFT #x0402)
(define GL_BACK_RIGHT #x0403)
(define GL_FRONT #x0404)
(define GL_BACK #x0405)
(define GL_LEFT #x0406)
(define GL_RIGHT #x0407)
(define GL_FRONT_AND_BACK #x0408)
(define GL_AUX0 #x0409)
(define GL_AUX1 #x040A)
(define GL_AUX2 #x040B)
(define GL_AUX3 #x040C)
;  
; /* Enable */ 
; /* GL_FOG */ 
; /* GL_LIGHTING */ 
; /* GL_TEXTURE_1D */ 
; /* GL_TEXTURE_2D */ 
; /* GL_LINE_STIPPLE */ 
; /* GL_POLYGON_STIPPLE */ 
; /* GL_CULL_FACE */ 
; /* GL_ALPHA_TEST */ 
; /* GL_BLEND */ 
; /* GL_INDEX_LOGIC_OP */ 
; /* GL_COLOR_LOGIC_OP */ 
; /* GL_DITHER */ 
; /* GL_STENCIL_TEST */ 
; /* GL_DEPTH_TEST */ 
; /* GL_CLIP_PLANE0 */ 
; /* GL_CLIP_PLANE1 */ 
; /* GL_CLIP_PLANE2 */ 
; /* GL_CLIP_PLANE3 */ 
; /* GL_CLIP_PLANE4 */ 
; /* GL_CLIP_PLANE5 */ 
; /* GL_LIGHT0 */ 
; /* GL_LIGHT1 */ 
; /* GL_LIGHT2 */ 
; /* GL_LIGHT3 */ 
; /* GL_LIGHT4 */ 
; /* GL_LIGHT5 */ 
; /* GL_LIGHT6 */ 
; /* GL_LIGHT7 */ 
; /* GL_TEXTURE_GEN_S */ 
; /* GL_TEXTURE_GEN_T */ 
; /* GL_TEXTURE_GEN_R */ 
; /* GL_TEXTURE_GEN_Q */ 
; /* GL_MAP1_VERTEX_3 */ 
; /* GL_MAP1_VERTEX_4 */ 
; /* GL_MAP1_COLOR_4 */ 
; /* GL_MAP1_INDEX */ 
; /* GL_MAP1_NORMAL */ 
; /* GL_MAP1_TEXTURE_COORD_1 */ 
; /* GL_MAP1_TEXTURE_COORD_2 */ 
; /* GL_MAP1_TEXTURE_COORD_3 */ 
; /* GL_MAP1_TEXTURE_COORD_4 */ 
; /* GL_MAP2_VERTEX_3 */ 
; /* GL_MAP2_VERTEX_4 */ 
; /* GL_MAP2_COLOR_4 */ 
; /* GL_MAP2_INDEX */ 
; /* GL_MAP2_NORMAL */ 
; /* GL_MAP2_TEXTURE_COORD_1 */ 
; /* GL_MAP2_TEXTURE_COORD_2 */ 
; /* GL_MAP2_TEXTURE_COORD_3 */ 
; /* GL_MAP2_TEXTURE_COORD_4 */ 
; /* GL_POINT_SMOOTH */ 
; /* GL_LINE_SMOOTH */ 
; /* GL_POLYGON_SMOOTH */ 
; /* GL_SCISSOR_TEST */ 
; /* GL_COLOR_MATERIAL */ 
; /* GL_NORMALIZE */ 
; /* GL_AUTO_NORMAL */ 
; /* GL_VERTEX_ARRAY */ 
; /* GL_NORMAL_ARRAY */ 
; /* GL_COLOR_ARRAY */ 
; /* GL_INDEX_ARRAY */ 
; /* GL_TEXTURE_COORD_ARRAY */ 
; /* GL_EDGE_FLAG_ARRAY */ 
; /* GL_POLYGON_OFFSET_POINT */ 
; /* GL_POLYGON_OFFSET_LINE */ 
; /* GL_POLYGON_OFFSET_FILL */ 
; /* GL_COLOR_TABLE */ 
; /* GL_POST_CONVOLUTION_COLOR_TABLE */ 
; /* GL_POST_COLOR_MATRIX_COLOR_TABLE */ 
; /* GL_CONVOLUTION_1D */ 
; /* GL_CONVOLUTION_2D */ 
; /* GL_SEPARABLE_2D */ 
; /* GL_HISTOGRAM */ 
; /* GL_MINMAX */ 
; /* GL_RESCALE_NORMAL */ 
; /* GL_TEXTURE_3D */ 
;  
; /* ErrorCode */ 
(define GL_NO_ERROR 0)
(define GL_INVALID_ENUM #x0500)
(define GL_INVALID_VALUE #x0501)
(define GL_INVALID_OPERATION #x0502)
(define GL_STACK_OVERFLOW #x0503)
(define GL_STACK_UNDERFLOW #x0504)
(define GL_OUT_OF_MEMORY #x0505)
; /* GL_TABLE_TOO_LARGE */ 
;  
; /* FeedBackMode */ 
(define GL_2D #x0600)
(define GL_3D #x0601)
(define GL_3D_COLOR #x0602)
(define GL_3D_COLOR_TEXTURE #x0603)
(define GL_4D_COLOR_TEXTURE #x0604)
;  
; /* FeedBackToken */ 
(define GL_PASS_THROUGH_TOKEN #x0700)
(define GL_POINT_TOKEN #x0701)
(define GL_LINE_TOKEN #x0702)
(define GL_POLYGON_TOKEN #x0703)
(define GL_BITMAP_TOKEN #x0704)
(define GL_DRAW_PIXEL_TOKEN #x0705)
(define GL_COPY_PIXEL_TOKEN #x0706)
(define GL_LINE_RESET_TOKEN #x0707)
;  
; /* FogMode */ 
; /* GL_LINEAR */ 
(define GL_EXP #x0800)
(define GL_EXP2 #x0801)
;  
; /* FogParameter */ 
; /* GL_FOG_COLOR */ 
; /* GL_FOG_DENSITY */ 
; /* GL_FOG_END */ 
; /* GL_FOG_INDEX */ 
; /* GL_FOG_MODE */ 
; /* GL_FOG_START */ 
;  
; /* FrontFaceDirection */ 
(define GL_CW #x0900)
(define GL_CCW #x0901)
;  
; /* GetColorTableParameterPName */ 
; /* GL_COLOR_TABLE_SCALE */ 
; /* GL_COLOR_TABLE_BIAS */ 
; /* GL_COLOR_TABLE_FORMAT */ 
; /* GL_COLOR_TABLE_WIDTH */ 
; /* GL_COLOR_TABLE_RED_SIZE */ 
; /* GL_COLOR_TABLE_GREEN_SIZE */ 
; /* GL_COLOR_TABLE_BLUE_SIZE */ 
; /* GL_COLOR_TABLE_ALPHA_SIZE */ 
; /* GL_COLOR_TABLE_LUMINANCE_SIZE */ 
; /* GL_COLOR_TABLE_INTENSITY_SIZE */ 
;  
; /* GetConvolutionParameterPName */ 
; /* GL_CONVOLUTION_BORDER_COLOR */ 
; /* GL_CONVOLUTION_BORDER_MODE */ 
; /* GL_CONVOLUTION_FILTER_SCALE */ 
; /* GL_CONVOLUTION_FILTER_BIAS */ 
; /* GL_CONVOLUTION_FORMAT */ 
; /* GL_CONVOLUTION_WIDTH */ 
; /* GL_CONVOLUTION_HEIGHT */ 
; /* GL_MAX_CONVOLUTION_WIDTH */ 
; /* GL_MAX_CONVOLUTION_HEIGHT */ 
;  
; /* GetHistogramParameterPName */ 
; /* GL_HISTOGRAM_WIDTH */ 
; /* GL_HISTOGRAM_FORMAT */ 
; /* GL_HISTOGRAM_RED_SIZE */ 
; /* GL_HISTOGRAM_GREEN_SIZE */ 
; /* GL_HISTOGRAM_BLUE_SIZE */ 
; /* GL_HISTOGRAM_ALPHA_SIZE */ 
; /* GL_HISTOGRAM_LUMINANCE_SIZE */ 
; /* GL_HISTOGRAM_SINK */ 
;  
; /* GetMapTarget */ 
(define GL_COEFF #x0A00)
(define GL_ORDER #x0A01)
(define GL_DOMAIN #x0A02)
;  
; /* GetMinmaxParameterPName */ 
; /* GL_MINMAX_FORMAT */ 
; /* GL_MINMAX_SINK */ 
;  
; /* GetPixelMap */ 
; /* GL_PIXEL_MAP_I_TO_I */ 
; /* GL_PIXEL_MAP_S_TO_S */ 
; /* GL_PIXEL_MAP_I_TO_R */ 
; /* GL_PIXEL_MAP_I_TO_G */ 
; /* GL_PIXEL_MAP_I_TO_B */ 
; /* GL_PIXEL_MAP_I_TO_A */ 
; /* GL_PIXEL_MAP_R_TO_R */ 
; /* GL_PIXEL_MAP_G_TO_G */ 
; /* GL_PIXEL_MAP_B_TO_B */ 
; /* GL_PIXEL_MAP_A_TO_A */ 
;  
; /* GetPointerTarget */ 
; /* GL_VERTEX_ARRAY_POINTER */ 
; /* GL_NORMAL_ARRAY_POINTER */ 
; /* GL_COLOR_ARRAY_POINTER */ 
; /* GL_INDEX_ARRAY_POINTER */ 
; /* GL_TEXTURE_COORD_ARRAY_POINTER */ 
; /* GL_EDGE_FLAG_ARRAY_POINTER */ 
;  
; /* GetTarget */ 
(define GL_CURRENT_COLOR #x0B00)
(define GL_CURRENT_INDEX #x0B01)
(define GL_CURRENT_NORMAL #x0B02)
(define GL_CURRENT_TEXTURE_COORDS #x0B03)
(define GL_CURRENT_RASTER_COLOR #x0B04)
(define GL_CURRENT_RASTER_INDEX #x0B05)
(define GL_CURRENT_RASTER_TEXTURE_COORDS #x0B06)
(define GL_CURRENT_RASTER_POSITION #x0B07)
(define GL_CURRENT_RASTER_POSITION_VALID #x0B08)
(define GL_CURRENT_RASTER_DISTANCE #x0B09)
(define GL_POINT_SMOOTH #x0B10)
(define GL_POINT_SIZE #x0B11)
(define GL_POINT_SIZE_RANGE #x0B12)
(define GL_POINT_SIZE_GRANULARITY #x0B13)
(define GL_LINE_SMOOTH #x0B20)
(define GL_LINE_WIDTH #x0B21)
(define GL_LINE_WIDTH_RANGE #x0B22)
(define GL_LINE_WIDTH_GRANULARITY #x0B23)
(define GL_LINE_STIPPLE #x0B24)
(define GL_LINE_STIPPLE_PATTERN #x0B25)
(define GL_LINE_STIPPLE_REPEAT #x0B26)
; /* GL_SMOOTH_POINT_SIZE_RANGE */ 
; /* GL_SMOOTH_POINT_SIZE_GRANULARITY */ 
; /* GL_SMOOTH_LINE_WIDTH_RANGE */ 
; /* GL_SMOOTH_LINE_WIDTH_GRANULARITY */ 
; /* GL_ALIASED_POINT_SIZE_RANGE */ 
; /* GL_ALIASED_LINE_WIDTH_RANGE */ 
(define GL_LIST_MODE #x0B30)
(define GL_MAX_LIST_NESTING #x0B31)
(define GL_LIST_BASE #x0B32)
(define GL_LIST_INDEX #x0B33)
(define GL_POLYGON_MODE #x0B40)
(define GL_POLYGON_SMOOTH #x0B41)
(define GL_POLYGON_STIPPLE #x0B42)
(define GL_EDGE_FLAG #x0B43)
(define GL_CULL_FACE #x0B44)
(define GL_CULL_FACE_MODE #x0B45)
(define GL_FRONT_FACE #x0B46)
(define GL_LIGHTING #x0B50)
(define GL_LIGHT_MODEL_LOCAL_VIEWER #x0B51)
(define GL_LIGHT_MODEL_TWO_SIDE #x0B52)
(define GL_LIGHT_MODEL_AMBIENT #x0B53)
(define GL_SHADE_MODEL #x0B54)
(define GL_COLOR_MATERIAL_FACE #x0B55)
(define GL_COLOR_MATERIAL_PARAMETER #x0B56)
(define GL_COLOR_MATERIAL #x0B57)
(define GL_FOG #x0B60)
(define GL_FOG_INDEX #x0B61)
(define GL_FOG_DENSITY #x0B62)
(define GL_FOG_START #x0B63)
(define GL_FOG_END #x0B64)
(define GL_FOG_MODE #x0B65)
(define GL_FOG_COLOR #x0B66)
(define GL_DEPTH_RANGE #x0B70)
(define GL_DEPTH_TEST #x0B71)
(define GL_DEPTH_WRITEMASK #x0B72)
(define GL_DEPTH_CLEAR_VALUE #x0B73)
(define GL_DEPTH_FUNC #x0B74)
(define GL_ACCUM_CLEAR_VALUE #x0B80)
(define GL_STENCIL_TEST #x0B90)
(define GL_STENCIL_CLEAR_VALUE #x0B91)
(define GL_STENCIL_FUNC #x0B92)
(define GL_STENCIL_VALUE_MASK #x0B93)
(define GL_STENCIL_FAIL #x0B94)
(define GL_STENCIL_PASS_DEPTH_FAIL #x0B95)
(define GL_STENCIL_PASS_DEPTH_PASS #x0B96)
(define GL_STENCIL_REF #x0B97)
(define GL_STENCIL_WRITEMASK #x0B98)
(define GL_MATRIX_MODE #x0BA0)
(define GL_NORMALIZE #x0BA1)
(define GL_VIEWPORT #x0BA2)
(define GL_MODELVIEW_STACK_DEPTH #x0BA3)
(define GL_PROJECTION_STACK_DEPTH #x0BA4)
(define GL_TEXTURE_STACK_DEPTH #x0BA5)
(define GL_MODELVIEW_MATRIX #x0BA6)
(define GL_PROJECTION_MATRIX #x0BA7)
(define GL_TEXTURE_MATRIX #x0BA8)
(define GL_ATTRIB_STACK_DEPTH #x0BB0)
(define GL_CLIENT_ATTRIB_STACK_DEPTH #x0BB1)
(define GL_ALPHA_TEST #x0BC0)
(define GL_ALPHA_TEST_FUNC #x0BC1)
(define GL_ALPHA_TEST_REF #x0BC2)
(define GL_DITHER #x0BD0)
(define GL_BLEND_DST #x0BE0)
(define GL_BLEND_SRC #x0BE1)
(define GL_BLEND #x0BE2)
(define GL_LOGIC_OP_MODE #x0BF0)
(define GL_INDEX_LOGIC_OP #x0BF1)
(define GL_COLOR_LOGIC_OP #x0BF2)
(define GL_AUX_BUFFERS #x0C00)
(define GL_DRAW_BUFFER #x0C01)
(define GL_READ_BUFFER #x0C02)
(define GL_SCISSOR_BOX #x0C10)
(define GL_SCISSOR_TEST #x0C11)
(define GL_INDEX_CLEAR_VALUE #x0C20)
(define GL_INDEX_WRITEMASK #x0C21)
(define GL_COLOR_CLEAR_VALUE #x0C22)
(define GL_COLOR_WRITEMASK #x0C23)
(define GL_INDEX_MODE #x0C30)
(define GL_RGBA_MODE #x0C31)
(define GL_DOUBLEBUFFER #x0C32)
(define GL_STEREO #x0C33)
(define GL_RENDER_MODE #x0C40)
(define GL_PERSPECTIVE_CORRECTION_HINT #x0C50)
(define GL_POINT_SMOOTH_HINT #x0C51)
(define GL_LINE_SMOOTH_HINT #x0C52)
(define GL_POLYGON_SMOOTH_HINT #x0C53)
(define GL_FOG_HINT #x0C54)
(define GL_TEXTURE_GEN_S #x0C60)
(define GL_TEXTURE_GEN_T #x0C61)
(define GL_TEXTURE_GEN_R #x0C62)
(define GL_TEXTURE_GEN_Q #x0C63)
(define GL_PIXEL_MAP_I_TO_I #x0C70)
(define GL_PIXEL_MAP_S_TO_S #x0C71)
(define GL_PIXEL_MAP_I_TO_R #x0C72)
(define GL_PIXEL_MAP_I_TO_G #x0C73)
(define GL_PIXEL_MAP_I_TO_B #x0C74)
(define GL_PIXEL_MAP_I_TO_A #x0C75)
(define GL_PIXEL_MAP_R_TO_R #x0C76)
(define GL_PIXEL_MAP_G_TO_G #x0C77)
(define GL_PIXEL_MAP_B_TO_B #x0C78)
(define GL_PIXEL_MAP_A_TO_A #x0C79)
(define GL_PIXEL_MAP_I_TO_I_SIZE #x0CB0)
(define GL_PIXEL_MAP_S_TO_S_SIZE #x0CB1)
(define GL_PIXEL_MAP_I_TO_R_SIZE #x0CB2)
(define GL_PIXEL_MAP_I_TO_G_SIZE #x0CB3)
(define GL_PIXEL_MAP_I_TO_B_SIZE #x0CB4)
(define GL_PIXEL_MAP_I_TO_A_SIZE #x0CB5)
(define GL_PIXEL_MAP_R_TO_R_SIZE #x0CB6)
(define GL_PIXEL_MAP_G_TO_G_SIZE #x0CB7)
(define GL_PIXEL_MAP_B_TO_B_SIZE #x0CB8)
(define GL_PIXEL_MAP_A_TO_A_SIZE #x0CB9)
(define GL_UNPACK_SWAP_BYTES #x0CF0)
(define GL_UNPACK_LSB_FIRST #x0CF1)
(define GL_UNPACK_ROW_LENGTH #x0CF2)
(define GL_UNPACK_SKIP_ROWS #x0CF3)
(define GL_UNPACK_SKIP_PIXELS #x0CF4)
(define GL_UNPACK_ALIGNMENT #x0CF5)
(define GL_PACK_SWAP_BYTES #x0D00)
(define GL_PACK_LSB_FIRST #x0D01)
(define GL_PACK_ROW_LENGTH #x0D02)
(define GL_PACK_SKIP_ROWS #x0D03)
(define GL_PACK_SKIP_PIXELS #x0D04)
(define GL_PACK_ALIGNMENT #x0D05)
(define GL_MAP_COLOR #x0D10)
(define GL_MAP_STENCIL #x0D11)
(define GL_INDEX_SHIFT #x0D12)
(define GL_INDEX_OFFSET #x0D13)
(define GL_RED_SCALE #x0D14)
(define GL_RED_BIAS #x0D15)
(define GL_ZOOM_X #x0D16)
(define GL_ZOOM_Y #x0D17)
(define GL_GREEN_SCALE #x0D18)
(define GL_GREEN_BIAS #x0D19)
(define GL_BLUE_SCALE #x0D1A)
(define GL_BLUE_BIAS #x0D1B)
(define GL_ALPHA_SCALE #x0D1C)
(define GL_ALPHA_BIAS #x0D1D)
(define GL_DEPTH_SCALE #x0D1E)
(define GL_DEPTH_BIAS #x0D1F)
(define GL_MAX_EVAL_ORDER #x0D30)
(define GL_MAX_LIGHTS #x0D31)
(define GL_MAX_CLIP_PLANES #x0D32)
(define GL_MAX_TEXTURE_SIZE #x0D33)
(define GL_MAX_PIXEL_MAP_TABLE #x0D34)
(define GL_MAX_ATTRIB_STACK_DEPTH #x0D35)
(define GL_MAX_MODELVIEW_STACK_DEPTH #x0D36)
(define GL_MAX_NAME_STACK_DEPTH #x0D37)
(define GL_MAX_PROJECTION_STACK_DEPTH #x0D38)
(define GL_MAX_TEXTURE_STACK_DEPTH #x0D39)
(define GL_MAX_VIEWPORT_DIMS #x0D3A)
(define GL_MAX_CLIENT_ATTRIB_STACK_DEPTH #x0D3B)
(define GL_SUBPIXEL_BITS #x0D50)
(define GL_INDEX_BITS #x0D51)
(define GL_RED_BITS #x0D52)
(define GL_GREEN_BITS #x0D53)
(define GL_BLUE_BITS #x0D54)
(define GL_ALPHA_BITS #x0D55)
(define GL_DEPTH_BITS #x0D56)
(define GL_STENCIL_BITS #x0D57)
(define GL_ACCUM_RED_BITS #x0D58)
(define GL_ACCUM_GREEN_BITS #x0D59)
(define GL_ACCUM_BLUE_BITS #x0D5A)
(define GL_ACCUM_ALPHA_BITS #x0D5B)
(define GL_NAME_STACK_DEPTH #x0D70)
(define GL_AUTO_NORMAL #x0D80)
(define GL_MAP1_COLOR_4 #x0D90)
(define GL_MAP1_INDEX #x0D91)
(define GL_MAP1_NORMAL #x0D92)
(define GL_MAP1_TEXTURE_COORD_1 #x0D93)
(define GL_MAP1_TEXTURE_COORD_2 #x0D94)
(define GL_MAP1_TEXTURE_COORD_3 #x0D95)
(define GL_MAP1_TEXTURE_COORD_4 #x0D96)
(define GL_MAP1_VERTEX_3 #x0D97)
(define GL_MAP1_VERTEX_4 #x0D98)
(define GL_MAP2_COLOR_4 #x0DB0)
(define GL_MAP2_INDEX #x0DB1)
(define GL_MAP2_NORMAL #x0DB2)
(define GL_MAP2_TEXTURE_COORD_1 #x0DB3)
(define GL_MAP2_TEXTURE_COORD_2 #x0DB4)
(define GL_MAP2_TEXTURE_COORD_3 #x0DB5)
(define GL_MAP2_TEXTURE_COORD_4 #x0DB6)
(define GL_MAP2_VERTEX_3 #x0DB7)
(define GL_MAP2_VERTEX_4 #x0DB8)
(define GL_MAP1_GRID_DOMAIN #x0DD0)
(define GL_MAP1_GRID_SEGMENTS #x0DD1)
(define GL_MAP2_GRID_DOMAIN #x0DD2)
(define GL_MAP2_GRID_SEGMENTS #x0DD3)
(define GL_TEXTURE_1D #x0DE0)
(define GL_TEXTURE_2D #x0DE1)
(define GL_FEEDBACK_BUFFER_POINTER #x0DF0)
(define GL_FEEDBACK_BUFFER_SIZE #x0DF1)
(define GL_FEEDBACK_BUFFER_TYPE #x0DF2)
(define GL_SELECTION_BUFFER_POINTER #x0DF3)
(define GL_SELECTION_BUFFER_SIZE #x0DF4)
; /* GL_TEXTURE_BINDING_1D */ 
; /* GL_TEXTURE_BINDING_2D */ 
; /* GL_TEXTURE_BINDING_3D */ 
; /* GL_VERTEX_ARRAY */ 
; /* GL_NORMAL_ARRAY */ 
; /* GL_COLOR_ARRAY */ 
; /* GL_INDEX_ARRAY */ 
; /* GL_TEXTURE_COORD_ARRAY */ 
; /* GL_EDGE_FLAG_ARRAY */ 
; /* GL_VERTEX_ARRAY_SIZE */ 
; /* GL_VERTEX_ARRAY_TYPE */ 
; /* GL_VERTEX_ARRAY_STRIDE */ 
; /* GL_NORMAL_ARRAY_TYPE */ 
; /* GL_NORMAL_ARRAY_STRIDE */ 
; /* GL_COLOR_ARRAY_SIZE */ 
; /* GL_COLOR_ARRAY_TYPE */ 
; /* GL_COLOR_ARRAY_STRIDE */ 
; /* GL_INDEX_ARRAY_TYPE */ 
; /* GL_INDEX_ARRAY_STRIDE */ 
; /* GL_TEXTURE_COORD_ARRAY_SIZE */ 
; /* GL_TEXTURE_COORD_ARRAY_TYPE */ 
; /* GL_TEXTURE_COORD_ARRAY_STRIDE */ 
; /* GL_EDGE_FLAG_ARRAY_STRIDE */ 
; /* GL_POLYGON_OFFSET_FACTOR */ 
; /* GL_POLYGON_OFFSET_UNITS */ 
; /* GL_COLOR_TABLE */ 
; /* GL_POST_CONVOLUTION_COLOR_TABLE */ 
; /* GL_POST_COLOR_MATRIX_COLOR_TABLE */ 
; /* GL_CONVOLUTION_1D */ 
; /* GL_CONVOLUTION_2D */ 
; /* GL_SEPARABLE_2D */ 
; /* GL_POST_CONVOLUTION_RED_SCALE */ 
; /* GL_POST_CONVOLUTION_GREEN_SCALE */ 
; /* GL_POST_CONVOLUTION_BLUE_SCALE */ 
; /* GL_POST_CONVOLUTION_ALPHA_SCALE */ 
; /* GL_POST_CONVOLUTION_RED_BIAS */ 
; /* GL_POST_CONVOLUTION_GREEN_BIAS */ 
; /* GL_POST_CONVOLUTION_BLUE_BIAS */ 
; /* GL_POST_CONVOLUTION_ALPHA_BIAS */ 
; /* GL_COLOR_MATRIX */ 
; /* GL_COLOR_MATRIX_STACK_DEPTH */ 
; /* GL_MAX_COLOR_MATRIX_STACK_DEPTH */ 
; /* GL_POST_COLOR_MATRIX_RED_SCALE */ 
; /* GL_POST_COLOR_MATRIX_GREEN_SCALE */ 
; /* GL_POST_COLOR_MATRIX_BLUE_SCALE */ 
; /* GL_POST_COLOR_MATRIX_ALPHA_SCALE */ 
; /* GL_POST_COLOR_MATRIX_RED_BIAS */ 
; /* GL_POST_COLOR_MATRIX_GREEN_BIAS */ 
; /* GL_POST_COLOR_MATRIX_BLUE_BIAS */ 
; /* GL_POST_COLOR_MATRIX_ALPHA_BIAS */ 
; /* GL_HISTOGRAM */ 
; /* GL_MINMAX */ 
; /* GL_MAX_ELEMENTS_VERTICES */ 
; /* GL_MAX_ELEMENTS_INDICES */ 
; /* GL_RESCALE_NORMAL */ 
; /* GL_LIGHT_MODEL_COLOR_CONTROL */ 
; /* GL_PACK_SKIP_IMAGES */ 
; /* GL_PACK_IMAGE_HEIGHT */ 
; /* GL_UNPACK_SKIP_IMAGES */ 
; /* GL_UNPACK_IMAGE_HEIGHT */ 
; /* GL_TEXTURE_3D */ 
; /* GL_MAX_3D_TEXTURE_SIZE */ 
; /* GL_BLEND_COLOR */ 
; /* GL_BLEND_EQUATION */ 
;  
; /* GetTextureParameter */ 
; /* GL_TEXTURE_MAG_FILTER */ 
; /* GL_TEXTURE_MIN_FILTER */ 
; /* GL_TEXTURE_WRAP_S */ 
; /* GL_TEXTURE_WRAP_T */ 
(define GL_TEXTURE_WIDTH #x1000)
(define GL_TEXTURE_HEIGHT #x1001)
(define GL_TEXTURE_INTERNAL_FORMAT #x1003)
(define GL_TEXTURE_BORDER_COLOR #x1004)
(define GL_TEXTURE_BORDER #x1005)
; /* GL_TEXTURE_RED_SIZE */ 
; /* GL_TEXTURE_GREEN_SIZE */ 
; /* GL_TEXTURE_BLUE_SIZE */ 
; /* GL_TEXTURE_ALPHA_SIZE */ 
; /* GL_TEXTURE_LUMINANCE_SIZE */ 
; /* GL_TEXTURE_INTENSITY_SIZE */ 
; /* GL_TEXTURE_PRIORITY */ 
; /* GL_TEXTURE_RESIDENT */ 
; /* GL_TEXTURE_DEPTH */ 
; /* GL_TEXTURE_WRAP_R */ 
; /* GL_TEXTURE_MIN_LOD */ 
; /* GL_TEXTURE_MAX_LOD */ 
; /* GL_TEXTURE_BASE_LEVEL */ 
; /* GL_TEXTURE_MAX_LEVEL */ 
;  
; /* HintMode */ 
(define GL_DONT_CARE #x1100)
(define GL_FASTEST #x1101)
(define GL_NICEST #x1102)
;  
; /* HintTarget */ 
; /* GL_PERSPECTIVE_CORRECTION_HINT */ 
; /* GL_POINT_SMOOTH_HINT */ 
; /* GL_LINE_SMOOTH_HINT */ 
; /* GL_POLYGON_SMOOTH_HINT */ 
; /* GL_FOG_HINT */ 
;  
; /* HistogramTarget */ 
; /* GL_HISTOGRAM */ 
; /* GL_PROXY_HISTOGRAM */ 
;  
; /* IndexPointerType */ 
; /* GL_SHORT */ 
; /* GL_INT */ 
; /* GL_FLOAT */ 
; /* GL_DOUBLE */ 
;  
; /* LightModelColorControl */ 
; /* GL_SINGLE_COLOR */ 
; /* GL_SEPARATE_SPECULAR_COLOR */ 
;  
; /* LightModelParameter */ 
; /* GL_LIGHT_MODEL_AMBIENT */ 
; /* GL_LIGHT_MODEL_LOCAL_VIEWER */ 
; /* GL_LIGHT_MODEL_TWO_SIDE */ 
; /* GL_LIGHT_MODEL_COLOR_CONTROL */ 
;  
; /* LightName */ 
(define GL_LIGHT0 #x4000)
(define GL_LIGHT1 #x4001)
(define GL_LIGHT2 #x4002)
(define GL_LIGHT3 #x4003)
(define GL_LIGHT4 #x4004)
(define GL_LIGHT5 #x4005)
(define GL_LIGHT6 #x4006)
(define GL_LIGHT7 #x4007)
;  
; /* LightParameter */ 
(define GL_AMBIENT #x1200)
(define GL_DIFFUSE #x1201)
(define GL_SPECULAR #x1202)
(define GL_POSITION #x1203)
(define GL_SPOT_DIRECTION #x1204)
(define GL_SPOT_EXPONENT #x1205)
(define GL_SPOT_CUTOFF #x1206)
(define GL_CONSTANT_ATTENUATION #x1207)
(define GL_LINEAR_ATTENUATION #x1208)
(define GL_QUADRATIC_ATTENUATION #x1209)
;  
; /* InterleavedArrays */ 
; /* GL_V2F */ 
; /* GL_V3F */ 
; /* GL_C4UB_V2F */ 
; /* GL_C4UB_V3F */ 
; /* GL_C3F_V3F */ 
; /* GL_N3F_V3F */ 
; /* GL_C4F_N3F_V3F */ 
; /* GL_T2F_V3F */ 
; /* GL_T4F_V4F */ 
; /* GL_T2F_C4UB_V3F */ 
; /* GL_T2F_C3F_V3F */ 
; /* GL_T2F_N3F_V3F */ 
; /* GL_T2F_C4F_N3F_V3F */ 
; /* GL_T4F_C4F_N3F_V4F */ 
;  
; /* ListMode */ 
(define GL_COMPILE #x1300)
(define GL_COMPILE_AND_EXECUTE #x1301)
;  
; /* ListNameType */ 
; /* GL_BYTE */ 
; /* GL_UNSIGNED_BYTE */ 
; /* GL_SHORT */ 
; /* GL_UNSIGNED_SHORT */ 
; /* GL_INT */ 
; /* GL_UNSIGNED_INT */ 
; /* GL_FLOAT */ 
; /* GL_2_BYTES */ 
; /* GL_3_BYTES */ 
; /* GL_4_BYTES */ 
;  
; /* LogicOp */ 
(define GL_CLEAR #x1500)
(define GL_AND #x1501)
(define GL_AND_REVERSE #x1502)
(define GL_COPY #x1503)
(define GL_AND_INVERTED #x1504)
(define GL_NOOP #x1505)
(define GL_XOR #x1506)
(define GL_OR #x1507)
(define GL_NOR #x1508)
(define GL_EQUIV #x1509)
(define GL_INVERT #x150A)
(define GL_OR_REVERSE #x150B)
(define GL_COPY_INVERTED #x150C)
(define GL_OR_INVERTED #x150D)
(define GL_NAND #x150E)
(define GL_SET #x150F)
;  
; /* MapTarget */ 
; /* GL_MAP1_COLOR_4 */ 
; /* GL_MAP1_INDEX */ 
; /* GL_MAP1_NORMAL */ 
; /* GL_MAP1_TEXTURE_COORD_1 */ 
; /* GL_MAP1_TEXTURE_COORD_2 */ 
; /* GL_MAP1_TEXTURE_COORD_3 */ 
; /* GL_MAP1_TEXTURE_COORD_4 */ 
; /* GL_MAP1_VERTEX_3 */ 
; /* GL_MAP1_VERTEX_4 */ 
; /* GL_MAP2_COLOR_4 */ 
; /* GL_MAP2_INDEX */ 
; /* GL_MAP2_NORMAL */ 
; /* GL_MAP2_TEXTURE_COORD_1 */ 
; /* GL_MAP2_TEXTURE_COORD_2 */ 
; /* GL_MAP2_TEXTURE_COORD_3 */ 
; /* GL_MAP2_TEXTURE_COORD_4 */ 
; /* GL_MAP2_VERTEX_3 */ 
; /* GL_MAP2_VERTEX_4 */ 
;  
; /* MaterialFace */ 
; /* GL_FRONT */ 
; /* GL_BACK */ 
; /* GL_FRONT_AND_BACK */ 
;  
; /* MaterialParameter */ 
(define GL_EMISSION #x1600)
(define GL_SHININESS #x1601)
(define GL_AMBIENT_AND_DIFFUSE #x1602)
(define GL_COLOR_INDEXES #x1603)
; /* GL_AMBIENT */ 
; /* GL_DIFFUSE */ 
; /* GL_SPECULAR */ 
;  
; /* MatrixMode */ 
(define GL_MODELVIEW #x1700)
(define GL_PROJECTION #x1701)
(define GL_TEXTURE #x1702)
;  
; /* MeshMode1 */ 
; /* GL_POINT */ 
; /* GL_LINE */ 
;  
; /* MeshMode2 */ 
; /* GL_POINT */ 
; /* GL_LINE */ 
; /* GL_FILL */ 
;  
; /* MinmaxTarget */ 
; /* GL_MINMAX */ 
;  
; /* NormalPointerType */ 
; /* GL_BYTE */ 
; /* GL_SHORT */ 
; /* GL_INT */ 
; /* GL_FLOAT */ 
; /* GL_DOUBLE */ 
;  
; /* PixelCopyType */ 
(define GL_COLOR #x1800)
(define GL_DEPTH #x1801)
(define GL_STENCIL #x1802)
;  
; /* PixelFormat */ 
(define GL_COLOR_INDEX #x1900)
(define GL_STENCIL_INDEX #x1901)
(define GL_DEPTH_COMPONENT #x1902)
(define GL_RED #x1903)
(define GL_GREEN #x1904)
(define GL_BLUE #x1905)
(define GL_ALPHA #x1906)
(define GL_RGB #x1907)
(define GL_RGBA #x1908)
(define GL_LUMINANCE #x1909)
(define GL_LUMINANCE_ALPHA #x190A)
; /* GL_ABGR */ 
;  
; /* PixelInternalFormat */ 
; /* GL_ALPHA4 */ 
; /* GL_ALPHA8 */ 
; /* GL_ALPHA12 */ 
; /* GL_ALPHA16 */ 
; /* GL_LUMINANCE4 */ 
; /* GL_LUMINANCE8 */ 
; /* GL_LUMINANCE12 */ 
; /* GL_LUMINANCE16 */ 
; /* GL_LUMINANCE4_ALPHA4 */ 
; /* GL_LUMINANCE6_ALPHA2 */ 
; /* GL_LUMINANCE8_ALPHA8 */ 
; /* GL_LUMINANCE12_ALPHA4 */ 
; /* GL_LUMINANCE12_ALPHA12 */ 
; /* GL_LUMINANCE16_ALPHA16 */ 
; /* GL_INTENSITY */ 
; /* GL_INTENSITY4 */ 
; /* GL_INTENSITY8 */ 
; /* GL_INTENSITY12 */ 
; /* GL_INTENSITY16 */ 
; /* GL_R3_G3_B2 */ 
; /* GL_RGB4 */ 
; /* GL_RGB5 */ 
; /* GL_RGB8 */ 
; /* GL_RGB10 */ 
; /* GL_RGB12 */ 
; /* GL_RGB16 */ 
; /* GL_RGBA2 */ 
; /* GL_RGBA4 */ 
; /* GL_RGB5_A1 */ 
; /* GL_RGBA8 */ 
; /* GL_RGB10_A2 */ 
; /* GL_RGBA12 */ 
; /* GL_RGBA16 */ 
;  
; /* PixelMap */ 
; /* GL_PIXEL_MAP_I_TO_I */ 
; /* GL_PIXEL_MAP_S_TO_S */ 
; /* GL_PIXEL_MAP_I_TO_R */ 
; /* GL_PIXEL_MAP_I_TO_G */ 
; /* GL_PIXEL_MAP_I_TO_B */ 
; /* GL_PIXEL_MAP_I_TO_A */ 
; /* GL_PIXEL_MAP_R_TO_R */ 
; /* GL_PIXEL_MAP_G_TO_G */ 
; /* GL_PIXEL_MAP_B_TO_B */ 
; /* GL_PIXEL_MAP_A_TO_A */ 
;  
; /* PixelStore */ 
; /* GL_UNPACK_SWAP_BYTES */ 
; /* GL_UNPACK_LSB_FIRST */ 
; /* GL_UNPACK_ROW_LENGTH */ 
; /* GL_UNPACK_SKIP_ROWS */ 
; /* GL_UNPACK_SKIP_PIXELS */ 
; /* GL_UNPACK_ALIGNMENT */ 
; /* GL_PACK_SWAP_BYTES */ 
; /* GL_PACK_LSB_FIRST */ 
; /* GL_PACK_ROW_LENGTH */ 
; /* GL_PACK_SKIP_ROWS */ 
; /* GL_PACK_SKIP_PIXELS */ 
; /* GL_PACK_ALIGNMENT */ 
; /* GL_PACK_SKIP_IMAGES */ 
; /* GL_PACK_IMAGE_HEIGHT */ 
; /* GL_UNPACK_SKIP_IMAGES */ 
; /* GL_UNPACK_IMAGE_HEIGHT */ 
;  
; /* PixelTransfer */ 
; /* GL_MAP_COLOR */ 
; /* GL_MAP_STENCIL */ 
; /* GL_INDEX_SHIFT */ 
; /* GL_INDEX_OFFSET */ 
; /* GL_RED_SCALE */ 
; /* GL_RED_BIAS */ 
; /* GL_GREEN_SCALE */ 
; /* GL_GREEN_BIAS */ 
; /* GL_BLUE_SCALE */ 
; /* GL_BLUE_BIAS */ 
; /* GL_ALPHA_SCALE */ 
; /* GL_ALPHA_BIAS */ 
; /* GL_DEPTH_SCALE */ 
; /* GL_DEPTH_BIAS */ 
; /* GL_POST_CONVOLUTION_RED_SCALE */ 
; /* GL_POST_CONVOLUTION_GREEN_SCALE */ 
; /* GL_POST_CONVOLUTION_BLUE_SCALE */ 
; /* GL_POST_CONVOLUTION_ALPHA_SCALE */ 
; /* GL_POST_CONVOLUTION_RED_BIAS */ 
; /* GL_POST_CONVOLUTION_GREEN_BIAS */ 
; /* GL_POST_CONVOLUTION_BLUE_BIAS */ 
; /* GL_POST_CONVOLUTION_ALPHA_BIAS */ 
; /* GL_POST_COLOR_MATRIX_RED_SCALE */ 
; /* GL_POST_COLOR_MATRIX_GREEN_SCALE */ 
; /* GL_POST_COLOR_MATRIX_BLUE_SCALE */ 
; /* GL_POST_COLOR_MATRIX_ALPHA_SCALE */ 
; /* GL_POST_COLOR_MATRIX_RED_BIAS */ 
; /* GL_POST_COLOR_MATRIX_GREEN_BIAS */ 
; /* GL_POST_COLOR_MATRIX_BLUE_BIAS */ 
; /* GL_POST_COLOR_MATRIX_ALPHA_BIAS */ 
;  
; /* PixelType */ 
(define GL_BITMAP #x1A00)
; /* GL_BYTE */ 
; /* GL_UNSIGNED_BYTE */ 
; /* GL_SHORT */ 
; /* GL_UNSIGNED_SHORT */ 
; /* GL_INT */ 
; /* GL_UNSIGNED_INT */ 
; /* GL_FLOAT */ 
; /* GL_BGR */ 
; /* GL_BGRA */ 
; /* GL_UNSIGNED_BYTE_3_3_2 */ 
; /* GL_UNSIGNED_SHORT_4_4_4_4 */ 
; /* GL_UNSIGNED_SHORT_5_5_5_1 */ 
; /* GL_UNSIGNED_INT_8_8_8_8 */ 
; /* GL_UNSIGNED_INT_10_10_10_2 */ 
; /* GL_UNSIGNED_SHORT_5_6_5 */ 
; /* GL_UNSIGNED_BYTE_2_3_3_REV */ 
; /* GL_UNSIGNED_SHORT_5_6_5_REV */ 
; /* GL_UNSIGNED_SHORT_4_4_4_4_REV */ 
; /* GL_UNSIGNED_SHORT_1_5_5_5_REV */ 
; /* GL_UNSIGNED_INT_8_8_8_8_REV */ 
; /* GL_UNSIGNED_INT_2_10_10_10_REV */ 
;  
; /* PolygonMode */ 
(define GL_POINT #x1B00)
(define GL_LINE #x1B01)
(define GL_FILL #x1B02)
;  
; /* ReadBufferMode */ 
; /* GL_FRONT_LEFT */ 
; /* GL_FRONT_RIGHT */ 
; /* GL_BACK_LEFT */ 
; /* GL_BACK_RIGHT */ 
; /* GL_FRONT */ 
; /* GL_BACK */ 
; /* GL_LEFT */ 
; /* GL_RIGHT */ 
; /* GL_AUX0 */ 
; /* GL_AUX1 */ 
; /* GL_AUX2 */ 
; /* GL_AUX3 */ 
;  
; /* RenderingMode */ 
(define GL_RENDER #x1C00)
(define GL_FEEDBACK #x1C01)
(define GL_SELECT #x1C02)
;  
; /* SeparableTarget */ 
; /* GL_SEPARABLE_2D */ 
;  
; /* ShadingModel */ 
(define GL_FLAT #x1D00)
(define GL_SMOOTH #x1D01)
;  
; /* StencilFunction */ 
; /* GL_NEVER */ 
; /* GL_LESS */ 
; /* GL_EQUAL */ 
; /* GL_LEQUAL */ 
; /* GL_GREATER */ 
; /* GL_NOTEQUAL */ 
; /* GL_GEQUAL */ 
; /* GL_ALWAYS */ 
;  
; /* StencilOp */ 
; /* GL_ZERO */ 
(define GL_KEEP #x1E00)
(define GL_REPLACE #x1E01)
(define GL_INCR #x1E02)
(define GL_DECR #x1E03)
; /* GL_INVERT */ 
;  
; /* StringName */ 
(define GL_VENDOR #x1F00)
(define GL_RENDERER #x1F01)
(define GL_VERSION #x1F02)
(define GL_EXTENSIONS #x1F03)
;  
; /* TextureCoordName */ 
(define GL_S #x2000)
(define GL_T #x2001)
(define GL_R #x2002)
(define GL_Q #x2003)
;  
; /* TexCoordPointerType */ 
; /* GL_SHORT */ 
; /* GL_INT */ 
; /* GL_FLOAT */ 
; /* GL_DOUBLE */ 
;  
; /* TextureEnvMode */ 
(define GL_MODULATE #x2100)
(define GL_DECAL #x2101)
; /* GL_BLEND */ 
; /* GL_REPLACE */ 
;  
; /* TextureEnvParameter */ 
(define GL_TEXTURE_ENV_MODE #x2200)
(define GL_TEXTURE_ENV_COLOR #x2201)
;  
; /* TextureEnvTarget */ 
(define GL_TEXTURE_ENV #x2300)
;  
; /* TextureGenMode */ 
(define GL_EYE_LINEAR #x2400)
(define GL_OBJECT_LINEAR #x2401)
(define GL_SPHERE_MAP #x2402)
;  
; /* TextureGenParameter */ 
(define GL_TEXTURE_GEN_MODE #x2500)
(define GL_OBJECT_PLANE #x2501)
(define GL_EYE_PLANE #x2502)
;  
; /* TextureMagFilter */ 
(define GL_NEAREST #x2600)
(define GL_LINEAR #x2601)
;  
; /* TextureMinFilter */ 
; /* GL_NEAREST */ 
; /* GL_LINEAR */ 
(define GL_NEAREST_MIPMAP_NEAREST #x2700)
(define GL_LINEAR_MIPMAP_NEAREST #x2701)
(define GL_NEAREST_MIPMAP_LINEAR #x2702)
(define GL_LINEAR_MIPMAP_LINEAR #x2703)
;  
; /* TextureParameterName */ 
(define GL_TEXTURE_MAG_FILTER #x2800)
(define GL_TEXTURE_MIN_FILTER #x2801)
(define GL_TEXTURE_WRAP_S #x2802)
(define GL_TEXTURE_WRAP_T #x2803)
; /* GL_TEXTURE_BORDER_COLOR */ 
; /* GL_TEXTURE_PRIORITY */ 
; /* GL_TEXTURE_WRAP_R */ 
; /* GL_TEXTURE_MIN_LOD */ 
; /* GL_TEXTURE_MAX_LOD */ 
; /* GL_TEXTURE_BASE_LEVEL */ 
; /* GL_TEXTURE_MAX_LEVEL */ 
;  
; /* TextureTarget */ 
; /* GL_TEXTURE_1D */ 
; /* GL_TEXTURE_2D */ 
; /* GL_PROXY_TEXTURE_1D */ 
; /* GL_PROXY_TEXTURE_2D */ 
; /* GL_TEXTURE_3D */ 
; /* GL_PROXY_TEXTURE_3D */ 
;  
; /* TextureWrapMode */ 
(define GL_CLAMP #x2900)
(define GL_REPEAT #x2901)
; /* GL_CLAMP_TO_EDGE */ 
;  
; /* VertexPointerType */ 
; /* GL_SHORT */ 
; /* GL_INT */ 
; /* GL_FLOAT */ 
; /* GL_DOUBLE */ 
;  
; /* ClientAttribMask */ 
(define GL_CLIENT_PIXEL_STORE_BIT #x00000001)
(define GL_CLIENT_VERTEX_ARRAY_BIT #x00000002)
(define GL_CLIENT_ALL_ATTRIB_BITS #xffffffff)
;  
; /* polygon_offset */ 
(define GL_POLYGON_OFFSET_FACTOR #x8038)
(define GL_POLYGON_OFFSET_UNITS #x2A00)
(define GL_POLYGON_OFFSET_POINT #x2A01)
(define GL_POLYGON_OFFSET_LINE #x2A02)
(define GL_POLYGON_OFFSET_FILL #x8037)
;  
; /* texture */ 
(define GL_ALPHA4 #x803B)
(define GL_ALPHA8 #x803C)
(define GL_ALPHA12 #x803D)
(define GL_ALPHA16 #x803E)
(define GL_LUMINANCE4 #x803F)
(define GL_LUMINANCE8 #x8040)
(define GL_LUMINANCE12 #x8041)
(define GL_LUMINANCE16 #x8042)
(define GL_LUMINANCE4_ALPHA4 #x8043)
(define GL_LUMINANCE6_ALPHA2 #x8044)
(define GL_LUMINANCE8_ALPHA8 #x8045)
(define GL_LUMINANCE12_ALPHA4 #x8046)
(define GL_LUMINANCE12_ALPHA12 #x8047)
(define GL_LUMINANCE16_ALPHA16 #x8048)
(define GL_INTENSITY #x8049)
(define GL_INTENSITY4 #x804A)
(define GL_INTENSITY8 #x804B)
(define GL_INTENSITY12 #x804C)
(define GL_INTENSITY16 #x804D)
(define GL_R3_G3_B2 #x2A10)
(define GL_RGB4 #x804F)
(define GL_RGB5 #x8050)
(define GL_RGB8 #x8051)
(define GL_RGB10 #x8052)
(define GL_RGB12 #x8053)
(define GL_RGB16 #x8054)
(define GL_RGBA2 #x8055)
(define GL_RGBA4 #x8056)
(define GL_RGB5_A1 #x8057)
(define GL_RGBA8 #x8058)
(define GL_RGB10_A2 #x8059)
(define GL_RGBA12 #x805A)
(define GL_RGBA16 #x805B)
(define GL_TEXTURE_RED_SIZE #x805C)
(define GL_TEXTURE_GREEN_SIZE #x805D)
(define GL_TEXTURE_BLUE_SIZE #x805E)
(define GL_TEXTURE_ALPHA_SIZE #x805F)
(define GL_TEXTURE_LUMINANCE_SIZE #x8060)
(define GL_TEXTURE_INTENSITY_SIZE #x8061)
(define GL_PROXY_TEXTURE_1D #x8063)
(define GL_PROXY_TEXTURE_2D #x8064)
;  
; /* texture_object */ 
(define GL_TEXTURE_PRIORITY #x8066)
(define GL_TEXTURE_RESIDENT #x8067)
(define GL_TEXTURE_BINDING_1D #x8068)
(define GL_TEXTURE_BINDING_2D #x8069)
(define GL_TEXTURE_BINDING_3D #x806A)
;  
; /* vertex_array */ 
(define GL_VERTEX_ARRAY #x8074)
(define GL_NORMAL_ARRAY #x8075)
(define GL_COLOR_ARRAY #x8076)
(define GL_INDEX_ARRAY #x8077)
(define GL_TEXTURE_COORD_ARRAY #x8078)
(define GL_EDGE_FLAG_ARRAY #x8079)
(define GL_VERTEX_ARRAY_SIZE #x807A)
(define GL_VERTEX_ARRAY_TYPE #x807B)
(define GL_VERTEX_ARRAY_STRIDE #x807C)
(define GL_NORMAL_ARRAY_TYPE #x807E)
(define GL_NORMAL_ARRAY_STRIDE #x807F)
(define GL_COLOR_ARRAY_SIZE #x8081)
(define GL_COLOR_ARRAY_TYPE #x8082)
(define GL_COLOR_ARRAY_STRIDE #x8083)
(define GL_INDEX_ARRAY_TYPE #x8085)
(define GL_INDEX_ARRAY_STRIDE #x8086)
(define GL_TEXTURE_COORD_ARRAY_SIZE #x8088)
(define GL_TEXTURE_COORD_ARRAY_TYPE #x8089)
(define GL_TEXTURE_COORD_ARRAY_STRIDE #x808A)
(define GL_EDGE_FLAG_ARRAY_STRIDE #x808C)
(define GL_VERTEX_ARRAY_POINTER #x808E)
(define GL_NORMAL_ARRAY_POINTER #x808F)
(define GL_COLOR_ARRAY_POINTER #x8090)
(define GL_INDEX_ARRAY_POINTER #x8091)
(define GL_TEXTURE_COORD_ARRAY_POINTER #x8092)
(define GL_EDGE_FLAG_ARRAY_POINTER #x8093)
(define GL_V2F #x2A20)
(define GL_V3F #x2A21)
(define GL_C4UB_V2F #x2A22)
(define GL_C4UB_V3F #x2A23)
(define GL_C3F_V3F #x2A24)
(define GL_N3F_V3F #x2A25)
(define GL_C4F_N3F_V3F #x2A26)
(define GL_T2F_V3F #x2A27)
(define GL_T4F_V4F #x2A28)
(define GL_T2F_C4UB_V3F #x2A29)
(define GL_T2F_C3F_V3F #x2A2A)
(define GL_T2F_N3F_V3F #x2A2B)
(define GL_T2F_C4F_N3F_V3F #x2A2C)
(define GL_T4F_C4F_N3F_V4F #x2A2D)
;  
; /* bgra */ 
(define GL_BGR #x80E0)
(define GL_BGRA #x80E1)
;  
; /* blend_color */ 
(define GL_CONSTANT_COLOR #x8001)
(define GL_ONE_MINUS_CONSTANT_COLOR #x8002)
(define GL_CONSTANT_ALPHA #x8003)
(define GL_ONE_MINUS_CONSTANT_ALPHA #x8004)
(define GL_BLEND_COLOR #x8005)
;  
; /* blend_minmax */ 
(define GL_FUNC_ADD #x8006)
(define GL_MIN #x8007)
(define GL_MAX #x8008)
(define GL_BLEND_EQUATION #x8009)
;  
; /* blend_equation_separate */ 
(define GL_BLEND_EQUATION_RGB #x8009)
(define GL_BLEND_EQUATION_ALPHA #x883D)
;  
; /* blend_subtract */ 
(define GL_FUNC_SUBTRACT #x800A)
(define GL_FUNC_REVERSE_SUBTRACT #x800B)
;  
; /* color_matrix */ 
(define GL_COLOR_MATRIX #x80B1)
(define GL_COLOR_MATRIX_STACK_DEPTH #x80B2)
(define GL_MAX_COLOR_MATRIX_STACK_DEPTH #x80B3)
(define GL_POST_COLOR_MATRIX_RED_SCALE #x80B4)
(define GL_POST_COLOR_MATRIX_GREEN_SCALE #x80B5)
(define GL_POST_COLOR_MATRIX_BLUE_SCALE #x80B6)
(define GL_POST_COLOR_MATRIX_ALPHA_SCALE #x80B7)
(define GL_POST_COLOR_MATRIX_RED_BIAS #x80B8)
(define GL_POST_COLOR_MATRIX_GREEN_BIAS #x80B9)
(define GL_POST_COLOR_MATRIX_BLUE_BIAS #x80BA)
(define GL_POST_COLOR_MATRIX_ALPHA_BIAS #x80BB)
;  
; /* color_table */ 
(define GL_COLOR_TABLE #x80D0)
(define GL_POST_CONVOLUTION_COLOR_TABLE #x80D1)
(define GL_POST_COLOR_MATRIX_COLOR_TABLE #x80D2)
(define GL_PROXY_COLOR_TABLE #x80D3)
(define GL_PROXY_POST_CONVOLUTION_COLOR_TABLE #x80D4)
(define GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE #x80D5)
(define GL_COLOR_TABLE_SCALE #x80D6)
(define GL_COLOR_TABLE_BIAS #x80D7)
(define GL_COLOR_TABLE_FORMAT #x80D8)
(define GL_COLOR_TABLE_WIDTH #x80D9)
(define GL_COLOR_TABLE_RED_SIZE #x80DA)
(define GL_COLOR_TABLE_GREEN_SIZE #x80DB)
(define GL_COLOR_TABLE_BLUE_SIZE #x80DC)
(define GL_COLOR_TABLE_ALPHA_SIZE #x80DD)
(define GL_COLOR_TABLE_LUMINANCE_SIZE #x80DE)
(define GL_COLOR_TABLE_INTENSITY_SIZE #x80DF)
;  
; /* convolution */ 
(define GL_CONVOLUTION_1D #x8010)
(define GL_CONVOLUTION_2D #x8011)
(define GL_SEPARABLE_2D #x8012)
(define GL_CONVOLUTION_BORDER_MODE #x8013)
(define GL_CONVOLUTION_FILTER_SCALE #x8014)
(define GL_CONVOLUTION_FILTER_BIAS #x8015)
(define GL_REDUCE #x8016)
(define GL_CONVOLUTION_FORMAT #x8017)
(define GL_CONVOLUTION_WIDTH #x8018)
(define GL_CONVOLUTION_HEIGHT #x8019)
(define GL_MAX_CONVOLUTION_WIDTH #x801A)
(define GL_MAX_CONVOLUTION_HEIGHT #x801B)
(define GL_POST_CONVOLUTION_RED_SCALE #x801C)
(define GL_POST_CONVOLUTION_GREEN_SCALE #x801D)
(define GL_POST_CONVOLUTION_BLUE_SCALE #x801E)
(define GL_POST_CONVOLUTION_ALPHA_SCALE #x801F)
(define GL_POST_CONVOLUTION_RED_BIAS #x8020)
(define GL_POST_CONVOLUTION_GREEN_BIAS #x8021)
(define GL_POST_CONVOLUTION_BLUE_BIAS #x8022)
(define GL_POST_CONVOLUTION_ALPHA_BIAS #x8023)
(define GL_CONSTANT_BORDER #x8151)
(define GL_REPLICATE_BORDER #x8153)
(define GL_CONVOLUTION_BORDER_COLOR #x8154)
;  
; /* draw_range_elements */ 
(define GL_MAX_ELEMENTS_VERTICES #x80E8)
(define GL_MAX_ELEMENTS_INDICES #x80E9)
;  
; /* histogram */ 
(define GL_HISTOGRAM #x8024)
(define GL_PROXY_HISTOGRAM #x8025)
(define GL_HISTOGRAM_WIDTH #x8026)
(define GL_HISTOGRAM_FORMAT #x8027)
(define GL_HISTOGRAM_RED_SIZE #x8028)
(define GL_HISTOGRAM_GREEN_SIZE #x8029)
(define GL_HISTOGRAM_BLUE_SIZE #x802A)
(define GL_HISTOGRAM_ALPHA_SIZE #x802B)
(define GL_HISTOGRAM_LUMINANCE_SIZE #x802C)
(define GL_HISTOGRAM_SINK #x802D)
(define GL_MINMAX #x802E)
(define GL_MINMAX_FORMAT #x802F)
(define GL_MINMAX_SINK #x8030)
(define GL_TABLE_TOO_LARGE #x8031)
;  
; /* packed_pixels */ 
(define GL_UNSIGNED_BYTE_3_3_2 #x8032)
(define GL_UNSIGNED_SHORT_4_4_4_4 #x8033)
(define GL_UNSIGNED_SHORT_5_5_5_1 #x8034)
(define GL_UNSIGNED_INT_8_8_8_8 #x8035)
(define GL_UNSIGNED_INT_10_10_10_2 #x8036)
(define GL_UNSIGNED_BYTE_2_3_3_REV #x8362)
(define GL_UNSIGNED_SHORT_5_6_5 #x8363)
(define GL_UNSIGNED_SHORT_5_6_5_REV #x8364)
(define GL_UNSIGNED_SHORT_4_4_4_4_REV #x8365)
(define GL_UNSIGNED_SHORT_1_5_5_5_REV #x8366)
(define GL_UNSIGNED_INT_8_8_8_8_REV #x8367)
(define GL_UNSIGNED_INT_2_10_10_10_REV #x8368)
;  
; /* rescale_normal */ 
(define GL_RESCALE_NORMAL #x803A)
;  
; /* separate_specular_color */ 
(define GL_LIGHT_MODEL_COLOR_CONTROL #x81F8)
(define GL_SINGLE_COLOR #x81F9)
(define GL_SEPARATE_SPECULAR_COLOR #x81FA)
;  
; /* texture3D */ 
(define GL_PACK_SKIP_IMAGES #x806B)
(define GL_PACK_IMAGE_HEIGHT #x806C)
(define GL_UNPACK_SKIP_IMAGES #x806D)
(define GL_UNPACK_IMAGE_HEIGHT #x806E)
(define GL_TEXTURE_3D #x806F)
(define GL_PROXY_TEXTURE_3D #x8070)
(define GL_TEXTURE_DEPTH #x8071)
(define GL_TEXTURE_WRAP_R #x8072)
(define GL_MAX_3D_TEXTURE_SIZE #x8073)
;  
; /* texture_edge_clamp */ 
(define GL_CLAMP_TO_EDGE #x812F)
(define GL_CLAMP_TO_BORDER #x812D)
;  
; /* texture_lod */ 
(define GL_TEXTURE_MIN_LOD #x813A)
(define GL_TEXTURE_MAX_LOD #x813B)
(define GL_TEXTURE_BASE_LEVEL #x813C)
(define GL_TEXTURE_MAX_LEVEL #x813D)
;  
; /* GetTarget1_2 */ 
(define GL_SMOOTH_POINT_SIZE_RANGE #x0B12)
(define GL_SMOOTH_POINT_SIZE_GRANULARITY #x0B13)
(define GL_SMOOTH_LINE_WIDTH_RANGE #x0B22)
(define GL_SMOOTH_LINE_WIDTH_GRANULARITY #x0B23)
(define GL_ALIASED_POINT_SIZE_RANGE #x846D)
(define GL_ALIASED_LINE_WIDTH_RANGE #x846E)
;  
(define GL_TEXTURE0 #x84C0)
(define GL_TEXTURE1 #x84C1)
(define GL_TEXTURE2 #x84C2)
(define GL_TEXTURE3 #x84C3)
(define GL_TEXTURE4 #x84C4)
(define GL_TEXTURE5 #x84C5)
(define GL_TEXTURE6 #x84C6)
(define GL_TEXTURE7 #x84C7)
(define GL_TEXTURE8 #x84C8)
(define GL_TEXTURE9 #x84C9)
(define GL_TEXTURE10 #x84CA)
(define GL_TEXTURE11 #x84CB)
(define GL_TEXTURE12 #x84CC)
(define GL_TEXTURE13 #x84CD)
(define GL_TEXTURE14 #x84CE)
(define GL_TEXTURE15 #x84CF)
(define GL_TEXTURE16 #x84D0)
(define GL_TEXTURE17 #x84D1)
(define GL_TEXTURE18 #x84D2)
(define GL_TEXTURE19 #x84D3)
(define GL_TEXTURE20 #x84D4)
(define GL_TEXTURE21 #x84D5)
(define GL_TEXTURE22 #x84D6)
(define GL_TEXTURE23 #x84D7)
(define GL_TEXTURE24 #x84D8)
(define GL_TEXTURE25 #x84D9)
(define GL_TEXTURE26 #x84DA)
(define GL_TEXTURE27 #x84DB)
(define GL_TEXTURE28 #x84DC)
(define GL_TEXTURE29 #x84DD)
(define GL_TEXTURE30 #x84DE)
(define GL_TEXTURE31 #x84DF)
(define GL_ACTIVE_TEXTURE #x84E0)
(define GL_CLIENT_ACTIVE_TEXTURE #x84E1)
(define GL_MAX_TEXTURE_UNITS #x84E2)
;  
(define GL_COMBINE #x8570)
(define GL_COMBINE_RGB #x8571)
(define GL_COMBINE_ALPHA #x8572)
(define GL_RGB_SCALE #x8573)
(define GL_ADD_SIGNED #x8574)
(define GL_INTERPOLATE #x8575)
(define GL_CONSTANT #x8576)
(define GL_PRIMARY_COLOR #x8577)
(define GL_PREVIOUS #x8578)
(define GL_SUBTRACT #x84E7)
;  
(define GL_SRC0_RGB #x8580)
(define GL_SRC1_RGB #x8581)
(define GL_SRC2_RGB #x8582)
(define GL_SRC3_RGB #x8583)
(define GL_SRC4_RGB #x8584)
(define GL_SRC5_RGB #x8585)
(define GL_SRC6_RGB #x8586)
(define GL_SRC7_RGB #x8587)
(define GL_SRC0_ALPHA #x8588)
(define GL_SRC1_ALPHA #x8589)
(define GL_SRC2_ALPHA #x858A)
(define GL_SRC3_ALPHA #x858B)
(define GL_SRC4_ALPHA #x858C)
(define GL_SRC5_ALPHA #x858D)
(define GL_SRC6_ALPHA #x858E)
(define GL_SRC7_ALPHA #x858F)
;  
; /* Obsolete */ 
(define GL_SOURCE0_RGB #x8580)
(define GL_SOURCE1_RGB #x8581)
(define GL_SOURCE2_RGB #x8582)
(define GL_SOURCE3_RGB #x8583)
(define GL_SOURCE4_RGB #x8584)
(define GL_SOURCE5_RGB #x8585)
(define GL_SOURCE6_RGB #x8586)
(define GL_SOURCE7_RGB #x8587)
(define GL_SOURCE0_ALPHA #x8588)
(define GL_SOURCE1_ALPHA #x8589)
(define GL_SOURCE2_ALPHA #x858A)
(define GL_SOURCE3_ALPHA #x858B)
(define GL_SOURCE4_ALPHA #x858C)
(define GL_SOURCE5_ALPHA #x858D)
(define GL_SOURCE6_ALPHA #x858E)
(define GL_SOURCE7_ALPHA #x858F)
;  
(define GL_OPERAND0_RGB #x8590)
(define GL_OPERAND1_RGB #x8591)
(define GL_OPERAND2_RGB #x8592)
(define GL_OPERAND3_RGB #x8593)
(define GL_OPERAND4_RGB #x8594)
(define GL_OPERAND5_RGB #x8595)
(define GL_OPERAND6_RGB #x8596)
(define GL_OPERAND7_RGB #x8597)
(define GL_OPERAND0_ALPHA #x8598)
(define GL_OPERAND1_ALPHA #x8599)
(define GL_OPERAND2_ALPHA #x859A)
(define GL_OPERAND3_ALPHA #x859B)
(define GL_OPERAND4_ALPHA #x859C)
(define GL_OPERAND5_ALPHA #x859D)
(define GL_OPERAND6_ALPHA #x859E)
(define GL_OPERAND7_ALPHA #x859F)
;  
(define GL_DOT3_RGB #x86AE)
(define GL_DOT3_RGBA #x86AF)
;  
(define GL_TRANSPOSE_MODELVIEW_MATRIX #x84E3)
(define GL_TRANSPOSE_PROJECTION_MATRIX #x84E4)
(define GL_TRANSPOSE_TEXTURE_MATRIX #x84E5)
(define GL_TRANSPOSE_COLOR_MATRIX #x84E6)
;  
(define GL_NORMAL_MAP #x8511)
(define GL_REFLECTION_MAP #x8512)
(define GL_TEXTURE_CUBE_MAP #x8513)
(define GL_TEXTURE_BINDING_CUBE_MAP #x8514)
(define GL_TEXTURE_CUBE_MAP_POSITIVE_X #x8515)
(define GL_TEXTURE_CUBE_MAP_NEGATIVE_X #x8516)
(define GL_TEXTURE_CUBE_MAP_POSITIVE_Y #x8517)
(define GL_TEXTURE_CUBE_MAP_NEGATIVE_Y #x8518)
(define GL_TEXTURE_CUBE_MAP_POSITIVE_Z #x8519)
(define GL_TEXTURE_CUBE_MAP_NEGATIVE_Z #x851A)
(define GL_PROXY_TEXTURE_CUBE_MAP #x851B)
(define GL_MAX_CUBE_MAP_TEXTURE_SIZE #x851C)
;  
(define GL_COMPRESSED_ALPHA #x84E9)
(define GL_COMPRESSED_LUMINANCE #x84EA)
(define GL_COMPRESSED_LUMINANCE_ALPHA #x84EB)
(define GL_COMPRESSED_INTENSITY #x84EC)
(define GL_COMPRESSED_RGB #x84ED)
(define GL_COMPRESSED_RGBA #x84EE)
(define GL_TEXTURE_COMPRESSION_HINT #x84EF)
(define GL_TEXTURE_COMPRESSED_IMAGE_SIZE #x86A0)
(define GL_TEXTURE_COMPRESSED #x86A1)
(define GL_NUM_COMPRESSED_TEXTURE_FORMATS #x86A2)
(define GL_COMPRESSED_TEXTURE_FORMATS #x86A3)
;  
(define GL_MULTISAMPLE #x809D)
(define GL_SAMPLE_ALPHA_TO_COVERAGE #x809E)
(define GL_SAMPLE_ALPHA_TO_ONE #x809F)
(define GL_SAMPLE_COVERAGE #x80A0)
(define GL_SAMPLE_BUFFERS #x80A8)
(define GL_SAMPLES #x80A9)
(define GL_SAMPLE_COVERAGE_VALUE #x80AA)
(define GL_SAMPLE_COVERAGE_INVERT #x80AB)
(define GL_MULTISAMPLE_BIT #x20000000)
;  
(define GL_DEPTH_COMPONENT16 #x81A5)
(define GL_DEPTH_COMPONENT24 #x81A6)
(define GL_DEPTH_COMPONENT32 #x81A7)
(define GL_TEXTURE_DEPTH_SIZE #x884A)
(define GL_DEPTH_TEXTURE_MODE #x884B)
;  
(define GL_TEXTURE_COMPARE_MODE #x884C)
(define GL_TEXTURE_COMPARE_FUNC #x884D)
(define GL_COMPARE_R_TO_TEXTURE #x884E)
;  
; /* occlusion_query */ 
(define GL_QUERY_COUNTER_BITS #x8864)
(define GL_CURRENT_QUERY #x8865)
(define GL_QUERY_RESULT #x8866)
(define GL_QUERY_RESULT_AVAILABLE #x8867)
(define GL_SAMPLES_PASSED #x8914)
;  
(define GL_FOG_COORD_SRC #x8450)
(define GL_FOG_COORD #x8451)
(define GL_FRAGMENT_DEPTH #x8452)
(define GL_CURRENT_FOG_COORD #x8453)
(define GL_FOG_COORD_ARRAY_TYPE #x8454)
(define GL_FOG_COORD_ARRAY_STRIDE #x8455)
(define GL_FOG_COORD_ARRAY_POINTER #x8456)
(define GL_FOG_COORD_ARRAY #x8457)
;  
; /* Obsolete */ 
(define GL_FOG_COORDINATE_SOURCE #x8450)
(define GL_FOG_COORDINATE #x8451)
(define GL_CURRENT_FOG_COORDINATE #x8453)
(define GL_FOG_COORDINATE_ARRAY_TYPE #x8454)
(define GL_FOG_COORDINATE_ARRAY_STRIDE #x8455)
(define GL_FOG_COORDINATE_ARRAY_POINTER #x8456)
(define GL_FOG_COORDINATE_ARRAY #x8457)
;  
(define GL_COLOR_SUM #x8458)
(define GL_CURRENT_SECONDARY_COLOR #x8459)
(define GL_SECONDARY_COLOR_ARRAY_SIZE #x845A)
(define GL_SECONDARY_COLOR_ARRAY_TYPE #x845B)
(define GL_SECONDARY_COLOR_ARRAY_STRIDE #x845C)
(define GL_SECONDARY_COLOR_ARRAY_POINTER #x845D)
(define GL_SECONDARY_COLOR_ARRAY #x845E)
;  
(define GL_POINT_SIZE_MIN #x8126)
(define GL_POINT_SIZE_MAX #x8127)
(define GL_POINT_FADE_THRESHOLD_SIZE #x8128)
(define GL_POINT_DISTANCE_ATTENUATION #x8129)
;  
(define GL_BLEND_DST_RGB #x80C8)
(define GL_BLEND_SRC_RGB #x80C9)
(define GL_BLEND_DST_ALPHA #x80CA)
(define GL_BLEND_SRC_ALPHA #x80CB)
;  
(define GL_GENERATE_MIPMAP #x8191)
(define GL_GENERATE_MIPMAP_HINT #x8192)
;  
(define GL_INCR_WRAP #x8507)
(define GL_DECR_WRAP #x8508)
;  
(define GL_MIRRORED_REPEAT #x8370)
;  
(define GL_MAX_TEXTURE_LOD_BIAS #x84FD)
(define GL_TEXTURE_FILTER_CONTROL #x8500)
(define GL_TEXTURE_LOD_BIAS #x8501)
;  
; /* vertex_buffer_object */ 
(define GL_ARRAY_BUFFER #x8892)
(define GL_ELEMENT_ARRAY_BUFFER #x8893)
(define GL_ARRAY_BUFFER_BINDING #x8894)
(define GL_ELEMENT_ARRAY_BUFFER_BINDING #x8895)
(define GL_VERTEX_ARRAY_BUFFER_BINDING #x8896)
(define GL_NORMAL_ARRAY_BUFFER_BINDING #x8897)
(define GL_COLOR_ARRAY_BUFFER_BINDING #x8898)
(define GL_INDEX_ARRAY_BUFFER_BINDING #x8899)
(define GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING #x889A)
(define GL_EDGE_FLAG_ARRAY_BUFFER_BINDING #x889B)
(define GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING #x889C)
(define GL_FOG_COORD_ARRAY_BUFFER_BINDING #x889D)
(define GL_WEIGHT_ARRAY_BUFFER_BINDING #x889E)
(define GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING #x889F)
(define GL_STREAM_DRAW #x88E0)
(define GL_STREAM_READ #x88E1)
(define GL_STREAM_COPY #x88E2)
(define GL_STATIC_DRAW #x88E4)
(define GL_STATIC_READ #x88E5)
(define GL_STATIC_COPY #x88E6)
(define GL_DYNAMIC_DRAW #x88E8)
(define GL_DYNAMIC_READ #x88E9)
(define GL_DYNAMIC_COPY #x88EA)
(define GL_READ_ONLY #x88B8)
(define GL_WRITE_ONLY #x88B9)
(define GL_READ_WRITE #x88BA)
(define GL_BUFFER_SIZE #x8764)
(define GL_BUFFER_USAGE #x8765)
(define GL_BUFFER_ACCESS #x88BB)
(define GL_BUFFER_MAPPED #x88BC)
(define GL_BUFFER_MAP_POINTER #x88BD)
; /* Obsolete */ 
(define GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING #x889D)
;  
; /* OpenGL 2.0 */ 
(define GL_CURRENT_PROGRAM #x8B8D)
(define GL_SHADER_TYPE #x8B4F)
(define GL_DELETE_STATUS #x8B80)
(define GL_COMPILE_STATUS #x8B81)
(define GL_LINK_STATUS #x8B82)
(define GL_VALIDATE_STATUS #x8B83)
(define GL_INFO_LOG_LENGTH #x8B84)
(define GL_ATTACHED_SHADERS #x8B85)
(define GL_ACTIVE_UNIFORMS #x8B86)
(define GL_ACTIVE_UNIFORM_MAX_LENGTH #x8B87)
(define GL_SHADER_SOURCE_LENGTH #x8B88)
(define GL_FLOAT_VEC2 #x8B50)
(define GL_FLOAT_VEC3 #x8B51)
(define GL_FLOAT_VEC4 #x8B52)
(define GL_INT_VEC2 #x8B53)
(define GL_INT_VEC3 #x8B54)
(define GL_INT_VEC4 #x8B55)
(define GL_BOOL #x8B56)
(define GL_BOOL_VEC2 #x8B57)
(define GL_BOOL_VEC3 #x8B58)
(define GL_BOOL_VEC4 #x8B59)
(define GL_FLOAT_MAT2 #x8B5A)
(define GL_FLOAT_MAT3 #x8B5B)
(define GL_FLOAT_MAT4 #x8B5C)
(define GL_SAMPLER_1D #x8B5D)
(define GL_SAMPLER_2D #x8B5E)
(define GL_SAMPLER_3D #x8B5F)
(define GL_SAMPLER_CUBE #x8B60)
(define GL_SAMPLER_1D_SHADOW #x8B61)
(define GL_SAMPLER_2D_SHADOW #x8B62)
(define GL_SHADING_LANGUAGE_VERSION #x8B8C)
(define GL_VERTEX_SHADER #x8B31)
(define GL_MAX_VERTEX_UNIFORM_COMPONENTS #x8B4A)
(define GL_MAX_VARYING_FLOATS #x8B4B)
(define GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS #x8B4C)
(define GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS #x8B4D)
(define GL_ACTIVE_ATTRIBUTES #x8B89)
(define GL_ACTIVE_ATTRIBUTE_MAX_LENGTH #x8B8A)
(define GL_FRAGMENT_SHADER #x8B30)
(define GL_MAX_FRAGMENT_UNIFORM_COMPONENTS #x8B49)
(define GL_FRAGMENT_SHADER_DERIVATIVE_HINT #x8B8B)
(define GL_MAX_VERTEX_ATTRIBS #x8869)
(define GL_VERTEX_ATTRIB_ARRAY_ENABLED #x8622)
(define GL_VERTEX_ATTRIB_ARRAY_SIZE #x8623)
(define GL_VERTEX_ATTRIB_ARRAY_STRIDE #x8624)
(define GL_VERTEX_ATTRIB_ARRAY_TYPE #x8625)
(define GL_VERTEX_ATTRIB_ARRAY_NORMALIZED #x886A)
(define GL_CURRENT_VERTEX_ATTRIB #x8626)
(define GL_VERTEX_ATTRIB_ARRAY_POINTER #x8645)
(define GL_VERTEX_PROGRAM_POINT_SIZE #x8642)
(define GL_VERTEX_PROGRAM_TWO_SIDE #x8643)
(define GL_MAX_TEXTURE_COORDS #x8871)
(define GL_MAX_TEXTURE_IMAGE_UNITS #x8872)
(define GL_MAX_DRAW_BUFFERS #x8824)
(define GL_DRAW_BUFFER0 #x8825)
(define GL_DRAW_BUFFER1 #x8826)
(define GL_DRAW_BUFFER2 #x8827)
(define GL_DRAW_BUFFER3 #x8828)
(define GL_DRAW_BUFFER4 #x8829)
(define GL_DRAW_BUFFER5 #x882A)
(define GL_DRAW_BUFFER6 #x882B)
(define GL_DRAW_BUFFER7 #x882C)
(define GL_DRAW_BUFFER8 #x882D)
(define GL_DRAW_BUFFER9 #x882E)
(define GL_DRAW_BUFFER10 #x882F)
(define GL_DRAW_BUFFER11 #x8830)
(define GL_DRAW_BUFFER12 #x8831)
(define GL_DRAW_BUFFER13 #x8832)
(define GL_DRAW_BUFFER14 #x8833)
(define GL_DRAW_BUFFER15 #x8834)
(define GL_POINT_SPRITE #x8861)
(define GL_COORD_REPLACE #x8862)
(define GL_POINT_SPRITE_COORD_ORIGIN #x8CA0)
(define GL_LOWER_LEFT #x8CA1)
(define GL_UPPER_LEFT #x8CA2)
(define GL_STENCIL_BACK_FUNC #x8800)
(define GL_STENCIL_BACK_VALUE_MASK #x8CA4)
(define GL_STENCIL_BACK_REF #x8CA3)
(define GL_STENCIL_BACK_FAIL #x8801)
(define GL_STENCIL_BACK_PASS_DEPTH_FAIL #x8802)
(define GL_STENCIL_BACK_PASS_DEPTH_PASS #x8803)
(define GL_STENCIL_BACK_WRITEMASK #x8CA5)
;  
; /* OpenGL 2.1 */ 
(define GL_CURRENT_RASTER_SECONDARY_COLOR #x845F)
(define GL_PIXEL_PACK_BUFFER #x88EB)
(define GL_PIXEL_UNPACK_BUFFER #x88EC)
(define GL_PIXEL_PACK_BUFFER_BINDING #x88ED)
(define GL_PIXEL_UNPACK_BUFFER_BINDING #x88EF)
(define GL_FLOAT_MAT2x3 #x8B65)
(define GL_FLOAT_MAT2x4 #x8B66)
(define GL_FLOAT_MAT3x2 #x8B67)
(define GL_FLOAT_MAT3x4 #x8B68)
(define GL_FLOAT_MAT4x2 #x8B69)
(define GL_FLOAT_MAT4x3 #x8B6A)
(define GL_SRGB #x8C40)
(define GL_SRGB8 #x8C41)
(define GL_SRGB_ALPHA #x8C42)
(define GL_SRGB8_ALPHA8 #x8C43)
(define GL_SLUMINANCE_ALPHA #x8C44)
(define GL_SLUMINANCE8_ALPHA8 #x8C45)
(define GL_SLUMINANCE #x8C46)
(define GL_SLUMINANCE8 #x8C47)
(define GL_COMPRESSED_SRGB #x8C48)
(define GL_COMPRESSED_SRGB_ALPHA #x8C49)
(define GL_COMPRESSED_SLUMINANCE #x8C4A)
(define GL_COMPRESSED_SLUMINANCE_ALPHA #x8C4B)
;  
; /*************************************************************/ 
;  
; #ifdef GL_GLEXT_FUNCTION_POINTERS 
; typedef void (* glAccumProcPtr) (GLenum op, GLfloat value); 
; typedef void (* glAlphaFuncProcPtr) (GLenum func, GLclampf ref); 
; typedef GLboolean (* glAreTexturesResidentProcPtr) (GLsizei n, const GLuint *textures, GLboolean *residences); 
; typedef void (* glArrayElementProcPtr) (GLint i); 
; typedef void (* glBeginProcPtr) (GLenum mode); 
; typedef void (* glBindTextureProcPtr) (GLenum target, GLuint texture); 
; typedef void (* glBitmapProcPtr) (GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap); 
; typedef void (* glBlendColorProcPtr) (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha); 
; typedef void (* glBlendEquationProcPtr) (GLenum mode); 
; typedef void (* glBlendEquationSeparateProcPtr) (GLenum modeRGB, GLenum modeAlpha); 
; typedef void (* glBlendFuncProcPtr) (GLenum sfactor, GLenum dfactor); 
; typedef void (* glCallListProcPtr) (GLuint list); 
; typedef void (* glCallListsProcPtr) (GLsizei n, GLenum type, const GLvoid *lists); 
; typedef void (* glClearProcPtr) (GLbitfield mask); 
; typedef void (* glClearAccumProcPtr) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha); 
; typedef void (* glClearColorProcPtr) (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha); 
; typedef void (* glClearDepthProcPtr) (GLclampd depth); 
; typedef void (* glClearIndexProcPtr) (GLfloat c); 
; typedef void (* glClearStencilProcPtr) (GLint s); 
; typedef void (* glClipPlaneProcPtr) (GLenum plane, const GLdouble *equation); 
; typedef void (* glColor3bProcPtr) (GLbyte red, GLbyte green, GLbyte blue); 
; typedef void (* glColor3bvProcPtr) (const GLbyte *v); 
; typedef void (* glColor3dProcPtr) (GLdouble red, GLdouble green, GLdouble blue); 
; typedef void (* glColor3dvProcPtr) (const GLdouble *v); 
; typedef void (* glColor3fProcPtr) (GLfloat red, GLfloat green, GLfloat blue); 
; typedef void (* glColor3fvProcPtr) (const GLfloat *v); 
; typedef void (* glColor3iProcPtr) (GLint red, GLint green, GLint blue); 
; typedef void (* glColor3ivProcPtr) (const GLint *v); 
; typedef void (* glColor3sProcPtr) (GLshort red, GLshort green, GLshort blue); 
; typedef void (* glColor3svProcPtr) (const GLshort *v); 
; typedef void (* glColor3ubProcPtr) (GLubyte red, GLubyte green, GLubyte blue); 
; typedef void (* glColor3ubvProcPtr) (const GLubyte *v); 
; typedef void (* glColor3uiProcPtr) (GLuint red, GLuint green, GLuint blue); 
; typedef void (* glColor3uivProcPtr) (const GLuint *v); 
; typedef void (* glColor3usProcPtr) (GLushort red, GLushort green, GLushort blue); 
; typedef void (* glColor3usvProcPtr) (const GLushort *v); 
; typedef void (* glColor4bProcPtr) (GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha); 
; typedef void (* glColor4bvProcPtr) (const GLbyte *v); 
; typedef void (* glColor4dProcPtr) (GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha); 
; typedef void (* glColor4dvProcPtr) (const GLdouble *v); 
; typedef void (* glColor4fProcPtr) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha); 
; typedef void (* glColor4fvProcPtr) (const GLfloat *v); 
; typedef void (* glColor4iProcPtr) (GLint red, GLint green, GLint blue, GLint alpha); 
; typedef void (* glColor4ivProcPtr) (const GLint *v); 
; typedef void (* glColor4sProcPtr) (GLshort red, GLshort green, GLshort blue, GLshort alpha); 
; typedef void (* glColor4svProcPtr) (const GLshort *v); 
; typedef void (* glColor4ubProcPtr) (GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha); 
; typedef void (* glColor4ubvProcPtr) (const GLubyte *v); 
; typedef void (* glColor4uiProcPtr) (GLuint red, GLuint green, GLuint blue, GLuint alpha); 
; typedef void (* glColor4uivProcPtr) (const GLuint *v); 
; typedef void (* glColor4usProcPtr) (GLushort red, GLushort green, GLushort blue, GLushort alpha); 
; typedef void (* glColor4usvProcPtr) (const GLushort *v); 
; typedef void (* glColorMaskProcPtr) (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha); 
; typedef void (* glColorMaterialProcPtr) (GLenum face, GLenum mode); 
; typedef void (* glColorPointerProcPtr) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer); 
; typedef void (* glColorSubTableProcPtr) (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data); 
; typedef void (* glColorTableProcPtr) (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table); 
; typedef void (* glColorTableParameterfvProcPtr) (GLenum target, GLenum pname, const GLfloat *params); 
; typedef void (* glColorTableParameterivProcPtr) (GLenum target, GLenum pname, const GLint *params); 
; typedef void (* glConvolutionFilter1DProcPtr) (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image); 
; typedef void (* glConvolutionFilter2DProcPtr) (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image); 
; typedef void (* glConvolutionParameterfProcPtr) (GLenum target, GLenum pname, GLfloat params); 
; typedef void (* glConvolutionParameterfvProcPtr) (GLenum target, GLenum pname, const GLfloat *params); 
; typedef void (* glConvolutionParameteriProcPtr) (GLenum target, GLenum pname, GLint params); 
; typedef void (* glConvolutionParameterivProcPtr) (GLenum target, GLenum pname, const GLint *params); 
; typedef void (* glCopyColorSubTableProcPtr) (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width); 
; typedef void (* glCopyColorTableProcPtr) (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width); 
; typedef void (* glCopyConvolutionFilter1DProcPtr) (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width); 
; typedef void (* glCopyConvolutionFilter2DProcPtr) (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height); 
; typedef void (* glCopyPixelsProcPtr) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum type); 
; typedef void (* glCopyTexImage1DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border); 
; typedef void (* glCopyTexImage2DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border); 
; typedef void (* glCopyTexSubImage1DProcPtr) (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width); 
; typedef void (* glCopyTexSubImage2DProcPtr) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height); 
; typedef void (* glCopyTexSubImage3DProcPtr) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height); 
; typedef void (* glCullFaceProcPtr) (GLenum mode); 
; typedef void (* glDeleteListsProcPtr) (GLuint list, GLsizei range); 
; typedef void (* glDeleteTexturesProcPtr) (GLsizei n, const GLuint *textures); 
; typedef void (* glDepthFuncProcPtr) (GLenum func); 
; typedef void (* glDepthMaskProcPtr) (GLboolean flag); 
; typedef void (* glDepthRangeProcPtr) (GLclampd zNear, GLclampd zFar); 
; typedef void (* glDisableProcPtr) (GLenum cap); 
; typedef void (* glDisableClientStateProcPtr) (GLenum array); 
; typedef void (* glDrawArraysProcPtr) (GLenum mode, GLint first, GLsizei count); 
; typedef void (* glDrawBufferProcPtr) (GLenum mode); 
; typedef void (* glDrawElementsProcPtr) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices); 
; typedef void (* glDrawPixelsProcPtr) (GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels); 
; typedef void (* glDrawRangeElementsProcPtr) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices); 
; typedef void (* glEdgeFlagProcPtr) (GLboolean flag); 
; typedef void (* glEdgeFlagPointerProcPtr) (GLsizei stride, const GLvoid *pointer); 
; typedef void (* glEdgeFlagvProcPtr) (const GLboolean *flag); 
; typedef void (* glEnableProcPtr) (GLenum cap); 
; typedef void (* glEnableClientStateProcPtr) (GLenum array); 
; typedef void (* glEndProcPtr) (void); 
; typedef void (* glEndListProcPtr) (void); 
; typedef void (* glEvalCoord1dProcPtr) (GLdouble u); 
; typedef void (* glEvalCoord1dvProcPtr) (const GLdouble *u); 
; typedef void (* glEvalCoord1fProcPtr) (GLfloat u); 
; typedef void (* glEvalCoord1fvProcPtr) (const GLfloat *u); 
; typedef void (* glEvalCoord2dProcPtr) (GLdouble u, GLdouble v); 
; typedef void (* glEvalCoord2dvProcPtr) (const GLdouble *u); 
; typedef void (* glEvalCoord2fProcPtr) (GLfloat u, GLfloat v); 
; typedef void (* glEvalCoord2fvProcPtr) (const GLfloat *u); 
; typedef void (* glEvalMesh1ProcPtr) (GLenum mode, GLint i1, GLint i2); 
; typedef void (* glEvalMesh2ProcPtr) (GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2); 
; typedef void (* glEvalPoint1ProcPtr) (GLint i); 
; typedef void (* glEvalPoint2ProcPtr) (GLint i, GLint j); 
; typedef void (* glFeedbackBufferProcPtr) (GLsizei size, GLenum type, GLfloat *buffer); 
; typedef void (* glFinishProcPtr) (void); 
; typedef void (* glFlushProcPtr) (void); 
; typedef void (* glFogfProcPtr) (GLenum pname, GLfloat param); 
; typedef void (* glFogfvProcPtr) (GLenum pname, const GLfloat *params); 
; typedef void (* glFogiProcPtr) (GLenum pname, GLint param); 
; typedef void (* glFogivProcPtr) (GLenum pname, const GLint *params); 
; typedef void (* glFrontFaceProcPtr) (GLenum mode); 
; typedef void (* glFrustumProcPtr) (GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar); 
; typedef GLuint (* glGenListsProcPtr) (GLsizei range); 
; typedef void (* glGenTexturesProcPtr) (GLsizei n, GLuint *textures); 
; typedef void (* glGetBooleanvProcPtr) (GLenum pname, GLboolean *params); 
; typedef void (* glGetClipPlaneProcPtr) (GLenum plane, GLdouble *equation); 
; typedef void (* glGetColorTableProcPtr) (GLenum target, GLenum format, GLenum type, GLvoid *table); 
; typedef void (* glGetColorTableParameterfvProcPtr) (GLenum target, GLenum pname, GLfloat *params); 
; typedef void (* glGetColorTableParameterivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glGetConvolutionFilterProcPtr) (GLenum target, GLenum format, GLenum type, GLvoid *image); 
; typedef void (* glGetConvolutionParameterfvProcPtr) (GLenum target, GLenum pname, GLfloat *params); 
; typedef void (* glGetConvolutionParameterivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glGetDoublevProcPtr) (GLenum pname, GLdouble *params); 
; typedef GLenum (* glGetErrorProcPtr) (void); 
; typedef void (* glGetFloatvProcPtr) (GLenum pname, GLfloat *params); 
; typedef void (* glGetHistogramProcPtr) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values); 
; typedef void (* glGetHistogramParameterfvProcPtr) (GLenum target, GLenum pname, GLfloat *params); 
; typedef void (* glGetHistogramParameterivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glGetIntegervProcPtr) (GLenum pname, GLint *params); 
; typedef void (* glGetLightfvProcPtr) (GLenum light, GLenum pname, GLfloat *params); 
; typedef void (* glGetLightivProcPtr) (GLenum light, GLenum pname, GLint *params); 
; typedef void (* glGetMapdvProcPtr) (GLenum target, GLenum query, GLdouble *v); 
; typedef void (* glGetMapfvProcPtr) (GLenum target, GLenum query, GLfloat *v); 
; typedef void (* glGetMapivProcPtr) (GLenum target, GLenum query, GLint *v); 
; typedef void (* glGetMaterialfvProcPtr) (GLenum face, GLenum pname, GLfloat *params); 
; typedef void (* glGetMaterialivProcPtr) (GLenum face, GLenum pname, GLint *params); 
; typedef void (* glGetMinmaxProcPtr) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values); 
; typedef void (* glGetMinmaxParameterfvProcPtr) (GLenum target, GLenum pname, GLfloat *params); 
; typedef void (* glGetMinmaxParameterivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glGetPixelMapfvProcPtr) (GLenum map, GLfloat *values); 
; typedef void (* glGetPixelMapuivProcPtr) (GLenum map, GLuint *values); 
; typedef void (* glGetPixelMapusvProcPtr) (GLenum map, GLushort *values); 
; typedef void (* glGetPointervProcPtr) (GLenum pname, GLvoid* *params); 
; typedef void (* glGetPolygonStippleProcPtr) (GLubyte *mask); 
; typedef void (* glGetSeparableFilterProcPtr) (GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span); 
; typedef const GLubyte * (* glGetStringProcPtr) (GLenum name); 
; typedef void (* glGetTexEnvfvProcPtr) (GLenum target, GLenum pname, GLfloat *params); 
; typedef void (* glGetTexEnvivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glGetTexGendvProcPtr) (GLenum coord, GLenum pname, GLdouble *params); 
; typedef void (* glGetTexGenfvProcPtr) (GLenum coord, GLenum pname, GLfloat *params); 
; typedef void (* glGetTexGenivProcPtr) (GLenum coord, GLenum pname, GLint *params); 
; typedef void (* glGetTexImageProcPtr) (GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels); 
; typedef void (* glGetTexLevelParameterfvProcPtr) (GLenum target, GLint level, GLenum pname, GLfloat *params); 
; typedef void (* glGetTexLevelParameterivProcPtr) (GLenum target, GLint level, GLenum pname, GLint *params); 
; typedef void (* glGetTexParameterfvProcPtr) (GLenum target, GLenum pname, GLfloat *params); 
; typedef void (* glGetTexParameterivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glHintProcPtr) (GLenum target, GLenum mode); 
; typedef void (* glHistogramProcPtr) (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink); 
; typedef void (* glIndexMaskProcPtr) (GLuint mask); 
; typedef void (* glIndexPointerProcPtr) (GLenum type, GLsizei stride, const GLvoid *pointer); 
; typedef void (* glIndexdProcPtr) (GLdouble c); 
; typedef void (* glIndexdvProcPtr) (const GLdouble *c); 
; typedef void (* glIndexfProcPtr) (GLfloat c); 
; typedef void (* glIndexfvProcPtr) (const GLfloat *c); 
; typedef void (* glIndexiProcPtr) (GLint c); 
; typedef void (* glIndexivProcPtr) (const GLint *c); 
; typedef void (* glIndexsProcPtr) (GLshort c); 
; typedef void (* glIndexsvProcPtr) (const GLshort *c); 
; typedef void (* glIndexubProcPtr) (GLubyte c); 
; typedef void (* glIndexubvProcPtr) (const GLubyte *c); 
; typedef void (* glInitNamesProcPtr) (void); 
; typedef void (* glInterleavedArraysProcPtr) (GLenum format, GLsizei stride, const GLvoid *pointer); 
; typedef GLboolean (* glIsEnabledProcPtr) (GLenum cap); 
; typedef GLboolean (* glIsListProcPtr) (GLuint list); 
; typedef GLboolean (* glIsTextureProcPtr) (GLuint texture); 
; typedef void (* glLightModelfProcPtr) (GLenum pname, GLfloat param); 
; typedef void (* glLightModelfvProcPtr) (GLenum pname, const GLfloat *params); 
; typedef void (* glLightModeliProcPtr) (GLenum pname, GLint param); 
; typedef void (* glLightModelivProcPtr) (GLenum pname, const GLint *params); 
; typedef void (* glLightfProcPtr) (GLenum light, GLenum pname, GLfloat param); 
; typedef void (* glLightfvProcPtr) (GLenum light, GLenum pname, const GLfloat *params); 
; typedef void (* glLightiProcPtr) (GLenum light, GLenum pname, GLint param); 
; typedef void (* glLightivProcPtr) (GLenum light, GLenum pname, const GLint *params); 
; typedef void (* glLineStippleProcPtr) (GLint factor, GLushort pattern); 
; typedef void (* glLineWidthProcPtr) (GLfloat width); 
; typedef void (* glListBaseProcPtr) (GLuint base); 
; typedef void (* glLoadIdentityProcPtr) (void); 
; typedef void (* glLoadMatrixdProcPtr) (const GLdouble *m); 
; typedef void (* glLoadMatrixfProcPtr) (const GLfloat *m); 
; typedef void (* glLoadNameProcPtr) (GLuint name); 
; typedef void (* glLogicOpProcPtr) (GLenum opcode); 
; typedef void (* glMap1dProcPtr) (GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points); 
; typedef void (* glMap1fProcPtr) (GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points); 
; typedef void (* glMap2dProcPtr) (GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points); 
; typedef void (* glMap2fProcPtr) (GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points); 
; typedef void (* glMapGrid1dProcPtr) (GLint un, GLdouble u1, GLdouble u2); 
; typedef void (* glMapGrid1fProcPtr) (GLint un, GLfloat u1, GLfloat u2); 
; typedef void (* glMapGrid2dProcPtr) (GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2); 
; typedef void (* glMapGrid2fProcPtr) (GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2); 
; typedef void (* glMaterialfProcPtr) (GLenum face, GLenum pname, GLfloat param); 
; typedef void (* glMaterialfvProcPtr) (GLenum face, GLenum pname, const GLfloat *params); 
; typedef void (* glMaterialiProcPtr) (GLenum face, GLenum pname, GLint param); 
; typedef void (* glMaterialivProcPtr) (GLenum face, GLenum pname, const GLint *params); 
; typedef void (* glMatrixModeProcPtr) (GLenum mode); 
; typedef void (* glMinmaxProcPtr) (GLenum target, GLenum internalformat, GLboolean sink); 
; typedef void (* glMultMatrixdProcPtr) (const GLdouble *m); 
; typedef void (* glMultMatrixfProcPtr) (const GLfloat *m); 
; typedef void (* glNewListProcPtr) (GLuint list, GLenum mode); 
; typedef void (* glNormal3bProcPtr) (GLbyte nx, GLbyte ny, GLbyte nz); 
; typedef void (* glNormal3bvProcPtr) (const GLbyte *v); 
; typedef void (* glNormal3dProcPtr) (GLdouble nx, GLdouble ny, GLdouble nz); 
; typedef void (* glNormal3dvProcPtr) (const GLdouble *v); 
; typedef void (* glNormal3fProcPtr) (GLfloat nx, GLfloat ny, GLfloat nz); 
; typedef void (* glNormal3fvProcPtr) (const GLfloat *v); 
; typedef void (* glNormal3iProcPtr) (GLint nx, GLint ny, GLint nz); 
; typedef void (* glNormal3ivProcPtr) (const GLint *v); 
; typedef void (* glNormal3sProcPtr) (GLshort nx, GLshort ny, GLshort nz); 
; typedef void (* glNormal3svProcPtr) (const GLshort *v); 
; typedef void (* glNormalPointerProcPtr) (GLenum type, GLsizei stride, const GLvoid *pointer); 
; typedef void (* glOrthoProcPtr) (GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar); 
; typedef void (* glPassThroughProcPtr) (GLfloat token); 
; typedef void (* glPixelMapfvProcPtr) (GLenum map, GLint mapsize, const GLfloat *values); 
; typedef void (* glPixelMapuivProcPtr) (GLenum map, GLint mapsize, const GLuint *values); 
; typedef void (* glPixelMapusvProcPtr) (GLenum map, GLint mapsize, const GLushort *values); 
; typedef void (* glPixelStorefProcPtr) (GLenum pname, GLfloat param); 
; typedef void (* glPixelStoreiProcPtr) (GLenum pname, GLint param); 
; typedef void (* glPixelTransferfProcPtr) (GLenum pname, GLfloat param); 
; typedef void (* glPixelTransferiProcPtr) (GLenum pname, GLint param); 
; typedef void (* glPixelZoomProcPtr) (GLfloat xfactor, GLfloat yfactor); 
; typedef void (* glPointSizeProcPtr) (GLfloat size); 
; typedef void (* glPolygonModeProcPtr) (GLenum face, GLenum mode); 
; typedef void (* glPolygonOffsetProcPtr) (GLfloat factor, GLfloat units); 
; typedef void (* glPolygonStippleProcPtr) (const GLubyte *mask); 
; typedef void (* glPopAttribProcPtr) (void); 
; typedef void (* glPopClientAttribProcPtr) (void); 
; typedef void (* glPopMatrixProcPtr) (void); 
; typedef void (* glPopNameProcPtr) (void); 
; typedef void (* glPrioritizeTexturesProcPtr) (GLsizei n, const GLuint *textures, const GLclampf *priorities); 
; typedef void (* glPushAttribProcPtr) (GLbitfield mask); 
; typedef void (* glPushClientAttribProcPtr) (GLbitfield mask); 
; typedef void (* glPushMatrixProcPtr) (void); 
; typedef void (* glPushNameProcPtr) (GLuint name); 
; typedef void (* glRasterPos2dProcPtr) (GLdouble x, GLdouble y); 
; typedef void (* glRasterPos2dvProcPtr) (const GLdouble *v); 
; typedef void (* glRasterPos2fProcPtr) (GLfloat x, GLfloat y); 
; typedef void (* glRasterPos2fvProcPtr) (const GLfloat *v); 
; typedef void (* glRasterPos2iProcPtr) (GLint x, GLint y); 
; typedef void (* glRasterPos2ivProcPtr) (const GLint *v); 
; typedef void (* glRasterPos2sProcPtr) (GLshort x, GLshort y); 
; typedef void (* glRasterPos2svProcPtr) (const GLshort *v); 
; typedef void (* glRasterPos3dProcPtr) (GLdouble x, GLdouble y, GLdouble z); 
; typedef void (* glRasterPos3dvProcPtr) (const GLdouble *v); 
; typedef void (* glRasterPos3fProcPtr) (GLfloat x, GLfloat y, GLfloat z); 
; typedef void (* glRasterPos3fvProcPtr) (const GLfloat *v); 
; typedef void (* glRasterPos3iProcPtr) (GLint x, GLint y, GLint z); 
; typedef void (* glRasterPos3ivProcPtr) (const GLint *v); 
; typedef void (* glRasterPos3sProcPtr) (GLshort x, GLshort y, GLshort z); 
; typedef void (* glRasterPos3svProcPtr) (const GLshort *v); 
; typedef void (* glRasterPos4dProcPtr) (GLdouble x, GLdouble y, GLdouble z, GLdouble w); 
; typedef void (* glRasterPos4dvProcPtr) (const GLdouble *v); 
; typedef void (* glRasterPos4fProcPtr) (GLfloat x, GLfloat y, GLfloat z, GLfloat w); 
; typedef void (* glRasterPos4fvProcPtr) (const GLfloat *v); 
; typedef void (* glRasterPos4iProcPtr) (GLint x, GLint y, GLint z, GLint w); 
; typedef void (* glRasterPos4ivProcPtr) (const GLint *v); 
; typedef void (* glRasterPos4sProcPtr) (GLshort x, GLshort y, GLshort z, GLshort w); 
; typedef void (* glRasterPos4svProcPtr) (const GLshort *v); 
; typedef void (* glReadBufferProcPtr) (GLenum mode); 
; typedef void (* glReadPixelsProcPtr) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels); 
; typedef void (* glRectdProcPtr) (GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2); 
; typedef void (* glRectdvProcPtr) (const GLdouble *v1, const GLdouble *v2); 
; typedef void (* glRectfProcPtr) (GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2); 
; typedef void (* glRectfvProcPtr) (const GLfloat *v1, const GLfloat *v2); 
; typedef void (* glRectiProcPtr) (GLint x1, GLint y1, GLint x2, GLint y2); 
; typedef void (* glRectivProcPtr) (const GLint *v1, const GLint *v2); 
; typedef void (* glRectsProcPtr) (GLshort x1, GLshort y1, GLshort x2, GLshort y2); 
; typedef void (* glRectsvProcPtr) (const GLshort *v1, const GLshort *v2); 
; typedef GLint (* glRenderModeProcPtr) (GLenum mode); 
; typedef void (* glResetHistogramProcPtr) (GLenum target); 
; typedef void (* glResetMinmaxProcPtr) (GLenum target); 
; typedef void (* glRotatedProcPtr) (GLdouble angle, GLdouble x, GLdouble y, GLdouble z); 
; typedef void (* glRotatefProcPtr) (GLfloat angle, GLfloat x, GLfloat y, GLfloat z); 
; typedef void (* glScaledProcPtr) (GLdouble x, GLdouble y, GLdouble z); 
; typedef void (* glScalefProcPtr) (GLfloat x, GLfloat y, GLfloat z); 
; typedef void (* glScissorProcPtr) (GLint x, GLint y, GLsizei width, GLsizei height); 
; typedef void (* glSelectBufferProcPtr) (GLsizei size, GLuint *buffer); 
; typedef void (* glSeparableFilter2DProcPtr) (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column); 
; typedef void (* glShadeModelProcPtr) (GLenum mode); 
; typedef void (* glStencilFuncProcPtr) (GLenum func, GLint ref, GLuint mask); 
; typedef void (* glStencilMaskProcPtr) (GLuint mask); 
; typedef void (* glStencilOpProcPtr) (GLenum fail, GLenum zfail, GLenum zpass); 
; typedef void (* glTexCoord1dProcPtr) (GLdouble s); 
; typedef void (* glTexCoord1dvProcPtr) (const GLdouble *v); 
; typedef void (* glTexCoord1fProcPtr) (GLfloat s); 
; typedef void (* glTexCoord1fvProcPtr) (const GLfloat *v); 
; typedef void (* glTexCoord1iProcPtr) (GLint s); 
; typedef void (* glTexCoord1ivProcPtr) (const GLint *v); 
; typedef void (* glTexCoord1sProcPtr) (GLshort s); 
; typedef void (* glTexCoord1svProcPtr) (const GLshort *v); 
; typedef void (* glTexCoord2dProcPtr) (GLdouble s, GLdouble t); 
; typedef void (* glTexCoord2dvProcPtr) (const GLdouble *v); 
; typedef void (* glTexCoord2fProcPtr) (GLfloat s, GLfloat t); 
; typedef void (* glTexCoord2fvProcPtr) (const GLfloat *v); 
; typedef void (* glTexCoord2iProcPtr) (GLint s, GLint t); 
; typedef void (* glTexCoord2ivProcPtr) (const GLint *v); 
; typedef void (* glTexCoord2sProcPtr) (GLshort s, GLshort t); 
; typedef void (* glTexCoord2svProcPtr) (const GLshort *v); 
; typedef void (* glTexCoord3dProcPtr) (GLdouble s, GLdouble t, GLdouble r); 
; typedef void (* glTexCoord3dvProcPtr) (const GLdouble *v); 
; typedef void (* glTexCoord3fProcPtr) (GLfloat s, GLfloat t, GLfloat r); 
; typedef void (* glTexCoord3fvProcPtr) (const GLfloat *v); 
; typedef void (* glTexCoord3iProcPtr) (GLint s, GLint t, GLint r); 
; typedef void (* glTexCoord3ivProcPtr) (const GLint *v); 
; typedef void (* glTexCoord3sProcPtr) (GLshort s, GLshort t, GLshort r); 
; typedef void (* glTexCoord3svProcPtr) (const GLshort *v); 
; typedef void (* glTexCoord4dProcPtr) (GLdouble s, GLdouble t, GLdouble r, GLdouble q); 
; typedef void (* glTexCoord4dvProcPtr) (const GLdouble *v); 
; typedef void (* glTexCoord4fProcPtr) (GLfloat s, GLfloat t, GLfloat r, GLfloat q); 
; typedef void (* glTexCoord4fvProcPtr) (const GLfloat *v); 
; typedef void (* glTexCoord4iProcPtr) (GLint s, GLint t, GLint r, GLint q); 
; typedef void (* glTexCoord4ivProcPtr) (const GLint *v); 
; typedef void (* glTexCoord4sProcPtr) (GLshort s, GLshort t, GLshort r, GLshort q); 
; typedef void (* glTexCoord4svProcPtr) (const GLshort *v); 
; typedef void (* glTexCoordPointerProcPtr) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer); 
; typedef void (* glTexEnvfProcPtr) (GLenum target, GLenum pname, GLfloat param); 
; typedef void (* glTexEnvfvProcPtr) (GLenum target, GLenum pname, const GLfloat *params); 
; typedef void (* glTexEnviProcPtr) (GLenum target, GLenum pname, GLint param); 
; typedef void (* glTexEnvivProcPtr) (GLenum target, GLenum pname, const GLint *params); 
; typedef void (* glTexGendProcPtr) (GLenum coord, GLenum pname, GLdouble param); 
; typedef void (* glTexGendvProcPtr) (GLenum coord, GLenum pname, const GLdouble *params); 
; typedef void (* glTexGenfProcPtr) (GLenum coord, GLenum pname, GLfloat param); 
; typedef void (* glTexGenfvProcPtr) (GLenum coord, GLenum pname, const GLfloat *params); 
; typedef void (* glTexGeniProcPtr) (GLenum coord, GLenum pname, GLint param); 
; typedef void (* glTexGenivProcPtr) (GLenum coord, GLenum pname, const GLint *params); 
; typedef void (* glTexImage1DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels); 
; typedef void (* glTexImage2DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels); 
; typedef void (* glTexImage3DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels); 
; typedef void (* glTexParameterfProcPtr) (GLenum target, GLenum pname, GLfloat param); 
; typedef void (* glTexParameterfvProcPtr) (GLenum target, GLenum pname, const GLfloat *params); 
; typedef void (* glTexParameteriProcPtr) (GLenum target, GLenum pname, GLint param); 
; typedef void (* glTexParameterivProcPtr) (GLenum target, GLenum pname, const GLint *params); 
; typedef void (* glTexSubImage1DProcPtr) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels); 
; typedef void (* glTexSubImage2DProcPtr) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels); 
; typedef void (* glTexSubImage3DProcPtr) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels); 
; typedef void (* glTranslatedProcPtr) (GLdouble x, GLdouble y, GLdouble z); 
; typedef void (* glTranslatefProcPtr) (GLfloat x, GLfloat y, GLfloat z); 
; typedef void (* glVertex2dProcPtr) (GLdouble x, GLdouble y); 
; typedef void (* glVertex2dvProcPtr) (const GLdouble *v); 
; typedef void (* glVertex2fProcPtr) (GLfloat x, GLfloat y); 
; typedef void (* glVertex2fvProcPtr) (const GLfloat *v); 
; typedef void (* glVertex2iProcPtr) (GLint x, GLint y); 
; typedef void (* glVertex2ivProcPtr) (const GLint *v); 
; typedef void (* glVertex2sProcPtr) (GLshort x, GLshort y); 
; typedef void (* glVertex2svProcPtr) (const GLshort *v); 
; typedef void (* glVertex3dProcPtr) (GLdouble x, GLdouble y, GLdouble z); 
; typedef void (* glVertex3dvProcPtr) (const GLdouble *v); 
; typedef void (* glVertex3fProcPtr) (GLfloat x, GLfloat y, GLfloat z); 
; typedef void (* glVertex3fvProcPtr) (const GLfloat *v); 
; typedef void (* glVertex3iProcPtr) (GLint x, GLint y, GLint z); 
; typedef void (* glVertex3ivProcPtr) (const GLint *v); 
; typedef void (* glVertex3sProcPtr) (GLshort x, GLshort y, GLshort z); 
; typedef void (* glVertex3svProcPtr) (const GLshort *v); 
; typedef void (* glVertex4dProcPtr) (GLdouble x, GLdouble y, GLdouble z, GLdouble w); 
; typedef void (* glVertex4dvProcPtr) (const GLdouble *v); 
; typedef void (* glVertex4fProcPtr) (GLfloat x, GLfloat y, GLfloat z, GLfloat w); 
; typedef void (* glVertex4fvProcPtr) (const GLfloat *v); 
; typedef void (* glVertex4iProcPtr) (GLint x, GLint y, GLint z, GLint w); 
; typedef void (* glVertex4ivProcPtr) (const GLint *v); 
; typedef void (* glVertex4sProcPtr) (GLshort x, GLshort y, GLshort z, GLshort w); 
; typedef void (* glVertex4svProcPtr) (const GLshort *v); 
; typedef void (* glVertexPointerProcPtr) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer); 
; typedef void (* glViewportProcPtr) (GLint x, GLint y, GLsizei width, GLsizei height); 
;  
; typedef void (* glSampleCoverageProcPtr) (GLclampf value, GLboolean invert); 
; typedef void (* glSamplePassProcPtr) (GLenum pass); 
;  
; typedef void (* glLoadTransposeMatrixfProcPtr) (const GLfloat *m); 
; typedef void (* glLoadTransposeMatrixdProcPtr) (const GLdouble *m); 
; typedef void (* glMultTransposeMatrixfProcPtr) (const GLfloat *m); 
; typedef void (* glMultTransposeMatrixdProcPtr) (const GLdouble *m); 
;  
; typedef void (* glCompressedTexImage3DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data); 
; typedef void (* glCompressedTexImage2DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data); 
; typedef void (* glCompressedTexImage1DProcPtr) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data); 
; typedef void (* glCompressedTexSubImage3DProcPtr) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data); 
; typedef void (* glCompressedTexSubImage2DProcPtr) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data); 
; typedef void (* glCompressedTexSubImage1DProcPtr) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data); 
; typedef void (* glGetCompressedTexImageProcPtr) (GLenum target, GLint lod, GLvoid *img); 
;  
; typedef void (* glActiveTextureProcPtr) (GLenum texture); 
; typedef void (* glClientActiveTextureProcPtr) (GLenum texture); 
; typedef void (* glMultiTexCoord1dProcPtr) (GLenum target, GLdouble s); 
; typedef void (* glMultiTexCoord1dvProcPtr) (GLenum target, const GLdouble *v); 
; typedef void (* glMultiTexCoord1fProcPtr) (GLenum target, GLfloat s); 
; typedef void (* glMultiTexCoord1fvProcPtr) (GLenum target, const GLfloat *v); 
; typedef void (* glMultiTexCoord1iProcPtr) (GLenum target, GLint s); 
; typedef void (* glMultiTexCoord1ivProcPtr) (GLenum target, const GLint *v); 
; typedef void (* glMultiTexCoord1sProcPtr) (GLenum target, GLshort s); 
; typedef void (* glMultiTexCoord1svProcPtr) (GLenum target, const GLshort *v); 
; typedef void (* glMultiTexCoord2dProcPtr) (GLenum target, GLdouble s, GLdouble t); 
; typedef void (* glMultiTexCoord2dvProcPtr) (GLenum target, const GLdouble *v); 
; typedef void (* glMultiTexCoord2fProcPtr) (GLenum target, GLfloat s, GLfloat t); 
; typedef void (* glMultiTexCoord2fvProcPtr) (GLenum target, const GLfloat *v); 
; typedef void (* glMultiTexCoord2iProcPtr) (GLenum target, GLint s, GLint t); 
; typedef void (* glMultiTexCoord2ivProcPtr) (GLenum target, const GLint *v); 
; typedef void (* glMultiTexCoord2sProcPtr) (GLenum target, GLshort s, GLshort t); 
; typedef void (* glMultiTexCoord2svProcPtr) (GLenum target, const GLshort *v); 
; typedef void (* glMultiTexCoord3dProcPtr) (GLenum target, GLdouble s, GLdouble t, GLdouble r); 
; typedef void (* glMultiTexCoord3dvProcPtr) (GLenum target, const GLdouble *v); 
; typedef void (* glMultiTexCoord3fProcPtr) (GLenum target, GLfloat s, GLfloat t, GLfloat r); 
; typedef void (* glMultiTexCoord3fvProcPtr) (GLenum target, const GLfloat *v); 
; typedef void (* glMultiTexCoord3iProcPtr) (GLenum target, GLint s, GLint t, GLint r); 
; typedef void (* glMultiTexCoord3ivProcPtr) (GLenum target, const GLint *v); 
; typedef void (* glMultiTexCoord3sProcPtr) (GLenum target, GLshort s, GLshort t, GLshort r); 
; typedef void (* glMultiTexCoord3svProcPtr) (GLenum target, const GLshort *v); 
; typedef void (* glMultiTexCoord4dProcPtr) (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q); 
; typedef void (* glMultiTexCoord4dvProcPtr) (GLenum target, const GLdouble *v); 
; typedef void (* glMultiTexCoord4fProcPtr) (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q); 
; typedef void (* glMultiTexCoord4fvProcPtr) (GLenum target, const GLfloat *v); 
; typedef void (* glMultiTexCoord4iProcPtr) (GLenum target, GLint, GLint s, GLint t, GLint r); 
; typedef void (* glMultiTexCoord4ivProcPtr) (GLenum target, const GLint *v); 
; typedef void (* glMultiTexCoord4sProcPtr) (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q); 
; typedef void (* glMultiTexCoord4svProcPtr) (GLenum target, const GLshort *v); 
;  
; typedef void (* glFogCoordfProcPtr) (GLfloat coord); 
; typedef void (* glFogCoordfvProcPtr) (const GLfloat *coord); 
; typedef void (* glFogCoorddProcPtr) (GLdouble coord); 
; typedef void (* glFogCoorddvProcPtr) (const GLdouble *coord); 
; typedef void (* glFogCoordPointerProcPtr) (GLenum type, GLsizei stride, const GLvoid *pointer); 
;  
; typedef void (* glSecondaryColor3bProcPtr) (GLbyte red, GLbyte green, GLbyte blue); 
; typedef void (* glSecondaryColor3bvProcPtr) (const GLbyte *v); 
; typedef void (* glSecondaryColor3dProcPtr) (GLdouble red, GLdouble green, GLdouble blue); 
; typedef void (* glSecondaryColor3dvProcPtr) (const GLdouble *v); 
; typedef void (* glSecondaryColor3fProcPtr) (GLfloat red, GLfloat green, GLfloat blue); 
; typedef void (* glSecondaryColor3fvProcPtr) (const GLfloat *v); 
; typedef void (* glSecondaryColor3iProcPtr) (GLint red, GLint green, GLint blue); 
; typedef void (* glSecondaryColor3ivProcPtr) (const GLint *v); 
; typedef void (* glSecondaryColor3sProcPtr) (GLshort red, GLshort green, GLshort blue); 
; typedef void (* glSecondaryColor3svProcPtr) (const GLshort *v); 
; typedef void (* glSecondaryColor3ubProcPtr) (GLubyte red, GLubyte green, GLubyte blue); 
; typedef void (* glSecondaryColor3ubvProcPtr) (const GLubyte *v); 
; typedef void (* glSecondaryColor3uiProcPtr) (GLuint red, GLuint green, GLuint blue); 
; typedef void (* glSecondaryColor3uivProcPtr) (const GLuint *v); 
; typedef void (* glSecondaryColor3usProcPtr) (GLushort red, GLushort green, GLushort blue); 
; typedef void (* glSecondaryColor3usvProcPtr) (const GLushort *v); 
; typedef void (* glSecondaryColorPointerProcPtr) (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer); 
;  
; typedef void (* glPointParameterfProcPtr) (GLenum pname, GLfloat param); 
; typedef void (* glPointParameterfvProcPtr) (GLenum pname, const GLfloat *params); 
; typedef void (* glPointParameteriProcPtr) (GLenum pname, GLint param); 
; typedef void (* glPointParameterivProcPtr) (GLenum pname, const GLint *params); 
;  
; typedef void (* glBlendFuncSeparateProcPtr) (GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha); 
;  
; typedef void (* glMultiDrawArraysProcPtr) (GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount); 
; typedef void (* glMultiDrawElementsProcPtr) (GLenum mode, const GLsizei *count, GLenum type, const GLvoid* *indices, GLsizei primcount); 
;  
; typedef void (* glWindowPos2dProcPtr) (GLdouble x, GLdouble y); 
; typedef void (* glWindowPos2dvProcPtr) (const GLdouble *v); 
; typedef void (* glWindowPos2fProcPtr) (GLfloat x, GLfloat y); 
; typedef void (* glWindowPos2fvProcPtr) (const GLfloat *v); 
; typedef void (* glWindowPos2iProcPtr) (GLint x, GLint y); 
; typedef void (* glWindowPos2ivProcPtr) (const GLint *v); 
; typedef void (* glWindowPos2sProcPtr) (GLshort x, GLshort y); 
; typedef void (* glWindowPos2svProcPtr) (const GLshort *v); 
; typedef void (* glWindowPos3dProcPtr) (GLdouble x, GLdouble y, GLdouble z); 
; typedef void (* glWindowPos3dvProcPtr) (const GLdouble *v); 
; typedef void (* glWindowPos3fProcPtr) (GLfloat x, GLfloat y, GLfloat z); 
; typedef void (* glWindowPos3fvProcPtr) (const GLfloat *v); 
; typedef void (* glWindowPos3iProcPtr) (GLint x, GLint y, GLint z); 
; typedef void (* glWindowPos3ivProcPtr) (const GLint *v); 
; typedef void (* glWindowPos3sProcPtr) (GLshort x, GLshort y, GLshort z); 
; typedef void (* glWindowPos3svProcPtr) (const GLshort *v); 
;  
; typedef void (* glGenQueriesProcPtr) (GLsizei n, GLuint *ids); 
; typedef void (* glDeleteQueriesProcPtr) (GLsizei n, const GLuint *ids); 
; typedef GLboolean (* glIsQueryProcPtr) (GLuint id); 
; typedef void (* glBeginQueryProcPtr) (GLenum target, GLuint id); 
; typedef void (* glEndQueryProcPtr) (GLenum target); 
; typedef void (* glGetQueryivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glGetQueryObjectivProcPtr) (GLuint id, GLenum pname, GLint *params); 
; typedef void (* glGetQueryObjectuivProcPtr) (GLuint id, GLenum pname, GLuint *params); 
;  
; typedef void (* glBindBufferProcPtr) (GLenum target, GLuint buffer); 
; typedef void (* glDeleteBuffersProcPtr) (GLsizei n, const GLuint *buffers); 
; typedef void (* glGenBuffersProcPtr) (GLsizei n, GLuint *buffers); 
; typedef GLboolean (* glIsBufferProcPtr) (GLuint buffer); 
; typedef void (* glBufferDataProcPtr) (GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage); 
; typedef void (* glBufferSubDataProcPtr) (GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data); 
; typedef void (* glGetBufferSubDataProcPtr) (GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data); 
; typedef GLvoid *(* glMapBufferProcPtr) (GLenum target, GLenum access); 
; typedef GLboolean (* glUnmapBufferProcPtr) (GLenum target); 
; typedef void (* glGetBufferParameterivProcPtr) (GLenum target, GLenum pname, GLint *params); 
; typedef void (* glGetBufferPointervProcPtr) (GLenum target, GLenum pname, GLvoid **params); 
;  
; typedef void (* glDrawBuffersProcPtr) (GLsizei n, const GLenum *bufs); 
; typedef void (* glVertexAttrib1dProcPtr) (GLuint index, GLdouble x); 
; typedef void (* glVertexAttrib1dvProcPtr) (GLuint index, const GLdouble *v); 
; typedef void (* glVertexAttrib1fProcPtr) (GLuint index, GLfloat x); 
; typedef void (* glVertexAttrib1fvProcPtr) (GLuint index, const GLfloat *v); 
; typedef void (* glVertexAttrib1sProcPtr) (GLuint index, GLshort x); 
; typedef void (* glVertexAttrib1svProcPtr) (GLuint index, const GLshort *v); 
; typedef void (* glVertexAttrib2dProcPtr) (GLuint index, GLdouble x, GLdouble y); 
; typedef void (* glVertexAttrib2dvProcPtr) (GLuint index, const GLdouble *v); 
; typedef void (* glVertexAttrib2fProcPtr) (GLuint index, GLfloat x, GLfloat y); 
; typedef void (* glVertexAttrib2fvProcPtr) (GLuint index, const GLfloat *v); 
; typedef void (* glVertexAttrib2sProcPtr) (GLuint index, GLshort x, GLshort y); 
; typedef void (* glVertexAttrib2svProcPtr) (GLuint index, const GLshort *v); 
; typedef void (* glVertexAttrib3dProcPtr) (GLuint index, GLdouble x, GLdouble y, GLdouble z); 
; typedef void (* glVertexAttrib3dvProcPtr) (GLuint index, const GLdouble *v); 
; typedef void (* glVertexAttrib3fProcPtr) (GLuint index, GLfloat x, GLfloat y, GLfloat z); 
; typedef void (* glVertexAttrib3fvProcPtr) (GLuint index, const GLfloat *v); 
; typedef void (* glVertexAttrib3sProcPtr) (GLuint index, GLshort x, GLshort y, GLshort z); 
; typedef void (* glVertexAttrib3svProcPtr) (GLuint index, const GLshort *v); 
; typedef void (* glVertexAttrib4NbvProcPtr) (GLuint index, const GLbyte *v); 
; typedef void (* glVertexAttrib4NivProcPtr) (GLuint index, const GLint *v); 
; typedef void (* glVertexAttrib4NsvProcPtr) (GLuint index, const GLshort *v); 
; typedef void (* glVertexAttrib4NubProcPtr) (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w); 
; typedef void (* glVertexAttrib4NubvProcPtr) (GLuint index, const GLubyte *v); 
; typedef void (* glVertexAttrib4NuivProcPtr) (GLuint index, const GLuint *v); 
; typedef void (* glVertexAttrib4NusvProcPtr) (GLuint index, const GLushort *v); 
; typedef void (* glVertexAttrib4bvProcPtr) (GLuint index, const GLbyte *v); 
; typedef void (* glVertexAttrib4dProcPtr) (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w); 
; typedef void (* glVertexAttrib4dvProcPtr) (GLuint index, const GLdouble *v); 
; typedef void (* glVertexAttrib4fProcPtr) (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w); 
; typedef void (* glVertexAttrib4fvProcPtr) (GLuint index, const GLfloat *v); 
; typedef void (* glVertexAttrib4ivProcPtr) (GLuint index, const GLint *v); 
; typedef void (* glVertexAttrib4sProcPtr) (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w); 
; typedef void (* glVertexAttrib4svProcPtr) (GLuint index, const GLshort *v); 
; typedef void (* glVertexAttrib4ubvProcPtr) (GLuint index, const GLubyte *v); 
; typedef void (* glVertexAttrib4uivProcPtr) (GLuint index, const GLuint *v); 
; typedef void (* glVertexAttrib4usvProcPtr) (GLuint index, const GLushort *v); 
; typedef void (* glVertexAttribPointerProcPtr) (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer); 
; typedef void (* glEnableVertexAttribArrayProcPtr) (GLuint index); 
; typedef void (* glDisableVertexAttribArrayProcPtr) (GLuint index); 
; typedef void (* glGetVertexAttribdvProcPtr) (GLuint index, GLenum pname, GLdouble *params); 
; typedef void (* glGetVertexAttribfvProcPtr) (GLuint index, GLenum pname, GLfloat *params); 
; typedef void (* glGetVertexAttribivProcPtr) (GLuint index, GLenum pname, GLint *params); 
; typedef void (* glGetVertexAttribPointervProcPtr) (GLuint index, GLenum pname, GLvoid* *pointer); 
; typedef void (* glDeleteShaderProcPtr) (GLuint shader); 
; typedef void (* glDetachShaderProcPtr) (GLuint program, GLuint shader); 
; typedef GLuint (* glCreateShaderProcPtr) (GLenum type); 
; typedef void (* glShaderSourceProcPtr) (GLuint shader, GLsizei count, const GLchar* *string, const GLint *length); 
; typedef void (* glCompileShaderProcPtr) (GLuint shader); 
; typedef GLuint (* glCreateProgramProcPtr) (void); 
; typedef void (* glAttachShaderProcPtr) (GLuint program, GLuint shader); 
; typedef void (* glLinkProgramProcPtr) (GLuint program); 
; typedef void (* glUseProgramProcPtr) (GLuint program); 
; typedef void (* glDeleteProgramProcPtr) (GLuint program); 
; typedef void (* glValidateProgramProcPtr) (GLuint program); 
; typedef void (* glUniform1fProcPtr) (GLint location, GLfloat v0); 
; typedef void (* glUniform2fProcPtr) (GLint location, GLfloat v0, GLfloat v1); 
; typedef void (* glUniform3fProcPtr) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2); 
; typedef void (* glUniform4fProcPtr) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3); 
; typedef void (* glUniform1iProcPtr) (GLint location, GLint v0); 
; typedef void (* glUniform2iProcPtr) (GLint location, GLint v0, GLint v1); 
; typedef void (* glUniform3iProcPtr) (GLint location, GLint v0, GLint v1, GLint v2); 
; typedef void (* glUniform4iProcPtr) (GLint location, GLint v0, GLint v1, GLint v2, GLint v3); 
; typedef void (* glUniform1fvProcPtr) (GLint location, GLsizei count, const GLfloat *value); 
; typedef void (* glUniform2fvProcPtr) (GLint location, GLsizei count, const GLfloat *value); 
; typedef void (* glUniform3fvProcPtr) (GLint location, GLsizei count, const GLfloat *value); 
; typedef void (* glUniform4fvProcPtr) (GLint location, GLsizei count, const GLfloat *value); 
; typedef void (* glUniform1ivProcPtr) (GLint location, GLsizei count, const GLint *value); 
; typedef void (* glUniform2ivProcPtr) (GLint location, GLsizei count, const GLint *value); 
; typedef void (* glUniform3ivProcPtr) (GLint location, GLsizei count, const GLint *value); 
; typedef void (* glUniform4ivProcPtr) (GLint location, GLsizei count, const GLint *value); 
; typedef void (* glUniformMatrix2fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef void (* glUniformMatrix3fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef void (* glUniformMatrix4fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef GLboolean (* glIsShaderProcPtr) (GLuint shader); 
; typedef GLboolean (* glIsProgramProcPtr) (GLuint program); 
; typedef void (* glGetShaderivProcPtr) (GLuint shader, GLenum pname, GLint *params); 
; typedef void (* glGetProgramivProcPtr) (GLuint program, GLenum pname, GLint *params); 
; typedef void (* glGetAttachedShadersProcPtr) (GLuint program, GLsizei maxCount, GLsizei *count, GLuint *shaders); 
; typedef void (* glGetShaderInfoLogProcPtr) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog); 
; typedef void (* glGetProgramInfoLogProcPtr) (GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog); 
; typedef GLint (* glGetUniformLocationProcPtr) (GLuint program, const GLchar *name); 
; typedef void (* glGetActiveUniformProcPtr) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name); 
; typedef void (* glGetUniformfvProcPtr) (GLuint program, GLint location, GLfloat *params); 
; typedef void (* glGetUniformivProcPtr) (GLuint program, GLint location, GLint *params); 
; typedef void (* glGetShaderSourceProcPtr) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source); 
; typedef void (* glBindAttribLocationProcPtr) (GLuint program, GLuint index, const GLchar *name); 
; typedef void (* glGetActiveAttribProcPtr) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name); 
; typedef GLint (* glGetAttribLocationProcPtr) (GLuint program, const GLchar *name); 
; typedef void (* glStencilFuncSeparateProcPtr) (GLenum face, GLenum func, GLint ref, GLuint mask); 
; typedef void (* glStencilOpSeparateProcPtr) (GLenum face, GLenum fail, GLenum zfail, GLenum zpass); 
; typedef void (* glStencilMaskSeparateProcPtr) (GLenum face, GLuint mask); 
;  
; typedef void (* glUniformMatrix2x3fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef void (* glUniformMatrix3x2fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef void (* glUniformMatrix2x4fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef void (* glUniformMatrix4x2fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef void (* glUniformMatrix3x4fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
; typedef void (* glUniformMatrix4x3fvProcPtr) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value); 
;  
; #else /* GL_GLEXT_FUNCTION_POINTERS */ 
;  
(define glAccum (c-lambda (GLenum GLfloat) void "glAccum"))
(define glAlphaFunc (c-lambda (GLenum GLclampf) void "glAlphaFunc"))
(define glAreTexturesResident (c-lambda (GLsizei (pointer GLuint) (pointer GLboolean)) GLboolean "glAreTexturesResident"))
(define glArrayElement (c-lambda (GLint) void "glArrayElement"))
(define glBegin (c-lambda (GLenum) void "glBegin"))
(define glBindTexture (c-lambda (GLenum GLuint) void "glBindTexture"))
(define glBitmap (c-lambda (GLsizei GLsizei GLfloat GLfloat GLfloat GLfloat (pointer GLubyte)) void "glBitmap"))
(define glBlendColor (c-lambda (GLclampf GLclampf GLclampf GLclampf) void "glBlendColor"))
(define glBlendEquation (c-lambda (GLenum) void "glBlendEquation"))
(define glBlendEquationSeparate (c-lambda (GLenum GLenum) void "glBlendEquationSeparate"))
(define glBlendFunc (c-lambda (GLenum GLenum) void "glBlendFunc"))
(define glCallList (c-lambda (GLuint) void "glCallList"))
(define glCallLists (c-lambda (GLsizei GLenum (pointer GLvoid)) void "glCallLists"))
(define glClear (c-lambda (GLbitfield) void "glClear"))
(define glClearAccum (c-lambda (GLfloat GLfloat GLfloat GLfloat) void "glClearAccum"))
(define glClearColor (c-lambda (GLclampf GLclampf GLclampf GLclampf) void "glClearColor"))
(define glClearDepth (c-lambda (GLclampd) void "glClearDepth"))
(define glClearIndex (c-lambda (GLfloat) void "glClearIndex"))
(define glClearStencil (c-lambda (GLint) void "glClearStencil"))
(define glClipPlane (c-lambda (GLenum (pointer GLdouble)) void "glClipPlane"))
(define glColor3b (c-lambda (GLbyte GLbyte GLbyte) void "glColor3b"))
(define glColor3bv (c-lambda ((pointer GLbyte)) void "glColor3bv"))
(define glColor3d (c-lambda (GLdouble GLdouble GLdouble) void "glColor3d"))
(define glColor3dv (c-lambda ((pointer GLdouble)) void "glColor3dv"))
(define glColor3f (c-lambda (GLfloat GLfloat GLfloat) void "glColor3f"))
(define glColor3fv (c-lambda ((pointer GLfloat)) void "glColor3fv"))
(define glColor3i (c-lambda (GLint GLint GLint) void "glColor3i"))
(define glColor3iv (c-lambda ((pointer GLint)) void "glColor3iv"))
(define glColor3s (c-lambda (GLshort GLshort GLshort) void "glColor3s"))
(define glColor3sv (c-lambda ((pointer GLshort)) void "glColor3sv"))
(define glColor3ub (c-lambda (GLubyte GLubyte GLubyte) void "glColor3ub"))
(define glColor3ubv (c-lambda ((pointer GLubyte)) void "glColor3ubv"))
(define glColor3ui (c-lambda (GLuint GLuint GLuint) void "glColor3ui"))
(define glColor3uiv (c-lambda ((pointer GLuint)) void "glColor3uiv"))
(define glColor3us (c-lambda (GLushort GLushort GLushort) void "glColor3us"))
(define glColor3usv (c-lambda ((pointer GLushort)) void "glColor3usv"))
(define glColor4b (c-lambda (GLbyte GLbyte GLbyte GLbyte) void "glColor4b"))
(define glColor4bv (c-lambda ((pointer GLbyte)) void "glColor4bv"))
(define glColor4d (c-lambda (GLdouble GLdouble GLdouble GLdouble) void "glColor4d"))
(define glColor4dv (c-lambda ((pointer GLdouble)) void "glColor4dv"))
(define glColor4f (c-lambda (GLfloat GLfloat GLfloat GLfloat) void "glColor4f"))
(define glColor4fv (c-lambda ((pointer GLfloat)) void "glColor4fv"))
(define glColor4i (c-lambda (GLint GLint GLint GLint) void "glColor4i"))
(define glColor4iv (c-lambda ((pointer GLint)) void "glColor4iv"))
(define glColor4s (c-lambda (GLshort GLshort GLshort GLshort) void "glColor4s"))
(define glColor4sv (c-lambda ((pointer GLshort)) void "glColor4sv"))
(define glColor4ub (c-lambda (GLubyte GLubyte GLubyte GLubyte) void "glColor4ub"))
(define glColor4ubv (c-lambda ((pointer GLubyte)) void "glColor4ubv"))
(define glColor4ui (c-lambda (GLuint GLuint GLuint GLuint) void "glColor4ui"))
(define glColor4uiv (c-lambda ((pointer GLuint)) void "glColor4uiv"))
(define glColor4us (c-lambda (GLushort GLushort GLushort GLushort) void "glColor4us"))
(define glColor4usv (c-lambda ((pointer GLushort)) void "glColor4usv"))
(define glColorMask (c-lambda (GLboolean GLboolean GLboolean GLboolean) void "glColorMask"))
(define glColorMaterial (c-lambda (GLenum GLenum) void "glColorMaterial"))
(define glColorPointer (c-lambda (GLint GLenum GLsizei (pointer GLvoid)) void "glColorPointer"))
(define glColorSubTable (c-lambda (GLenum GLsizei GLsizei GLenum GLenum (pointer GLvoid)) void "glColorSubTable"))
(define glColorTable (c-lambda (GLenum GLenum GLsizei GLenum GLenum (pointer GLvoid)) void "glColorTable"))
(define glColorTableParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glColorTableParameterfv"))
(define glColorTableParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glColorTableParameteriv"))
(define glConvolutionFilter1D (c-lambda (GLenum GLenum GLsizei GLenum GLenum (pointer GLvoid)) void "glConvolutionFilter1D"))
(define glConvolutionFilter2D (c-lambda (GLenum GLenum GLsizei GLsizei GLenum GLenum (pointer GLvoid)) void "glConvolutionFilter2D"))
(define glConvolutionParameterf (c-lambda (GLenum GLenum GLfloat) void "glConvolutionParameterf"))
(define glConvolutionParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glConvolutionParameterfv"))
(define glConvolutionParameteri (c-lambda (GLenum GLenum GLint) void "glConvolutionParameteri"))
(define glConvolutionParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glConvolutionParameteriv"))
(define glCopyColorSubTable (c-lambda (GLenum GLsizei GLint GLint GLsizei) void "glCopyColorSubTable"))
(define glCopyColorTable (c-lambda (GLenum GLenum GLint GLint GLsizei) void "glCopyColorTable"))
(define glCopyConvolutionFilter1D (c-lambda (GLenum GLenum GLint GLint GLsizei) void "glCopyConvolutionFilter1D"))
(define glCopyConvolutionFilter2D (c-lambda (GLenum GLenum GLint GLint GLsizei GLsizei) void "glCopyConvolutionFilter2D"))
(define glCopyPixels (c-lambda (GLint GLint GLsizei GLsizei GLenum) void "glCopyPixels"))
(define glCopyTexImage1D (c-lambda (GLenum GLint GLenum GLint GLint GLsizei GLint) void "glCopyTexImage1D"))
(define glCopyTexImage2D (c-lambda (GLenum GLint GLenum GLint GLint GLsizei GLsizei GLint) void "glCopyTexImage2D"))
(define glCopyTexSubImage1D (c-lambda (GLenum GLint GLint GLint GLint GLsizei) void "glCopyTexSubImage1D"))
(define glCopyTexSubImage2D (c-lambda (GLenum GLint GLint GLint GLint GLint GLsizei GLsizei) void "glCopyTexSubImage2D"))
(define glCopyTexSubImage3D (c-lambda (GLenum GLint GLint GLint GLint GLint GLint GLsizei GLsizei) void "glCopyTexSubImage3D"))
(define glCullFace (c-lambda (GLenum) void "glCullFace"))
(define glDeleteLists (c-lambda (GLuint GLsizei) void "glDeleteLists"))
(define glDeleteTextures (c-lambda (GLsizei (pointer GLuint)) void "glDeleteTextures"))
(define glDepthFunc (c-lambda (GLenum) void "glDepthFunc"))
(define glDepthMask (c-lambda (GLboolean) void "glDepthMask"))
(define glDepthRange (c-lambda (GLclampd GLclampd) void "glDepthRange"))
(define glDisable (c-lambda (GLenum) void "glDisable"))
(define glDisableClientState (c-lambda (GLenum) void "glDisableClientState"))
(define glDrawArrays (c-lambda (GLenum GLint GLsizei) void "glDrawArrays"))
(define glDrawBuffer (c-lambda (GLenum) void "glDrawBuffer"))
(define glDrawElements (c-lambda (GLenum GLsizei GLenum (pointer GLvoid)) void "glDrawElements"))
(define glDrawPixels (c-lambda (GLsizei GLsizei GLenum GLenum (pointer GLvoid)) void "glDrawPixels"))
(define glDrawRangeElements (c-lambda (GLenum GLuint GLuint GLsizei GLenum (pointer GLvoid)) void "glDrawRangeElements"))
(define glEdgeFlag (c-lambda (GLboolean) void "glEdgeFlag"))
(define glEdgeFlagPointer (c-lambda (GLsizei (pointer GLvoid)) void "glEdgeFlagPointer"))
(define glEdgeFlagv (c-lambda ((pointer GLboolean)) void "glEdgeFlagv"))
(define glEnable (c-lambda (GLenum) void "glEnable"))
(define glEnableClientState (c-lambda (GLenum) void "glEnableClientState"))
(define glEnd (c-lambda () void "glEnd"))
(define glEndList (c-lambda () void "glEndList"))
(define glEvalCoord1d (c-lambda (GLdouble) void "glEvalCoord1d"))
(define glEvalCoord1dv (c-lambda ((pointer GLdouble)) void "glEvalCoord1dv"))
(define glEvalCoord1f (c-lambda (GLfloat) void "glEvalCoord1f"))
(define glEvalCoord1fv (c-lambda ((pointer GLfloat)) void "glEvalCoord1fv"))
(define glEvalCoord2d (c-lambda (GLdouble GLdouble) void "glEvalCoord2d"))
(define glEvalCoord2dv (c-lambda ((pointer GLdouble)) void "glEvalCoord2dv"))
(define glEvalCoord2f (c-lambda (GLfloat GLfloat) void "glEvalCoord2f"))
(define glEvalCoord2fv (c-lambda ((pointer GLfloat)) void "glEvalCoord2fv"))
(define glEvalMesh1 (c-lambda (GLenum GLint GLint) void "glEvalMesh1"))
(define glEvalMesh2 (c-lambda (GLenum GLint GLint GLint GLint) void "glEvalMesh2"))
(define glEvalPoint1 (c-lambda (GLint) void "glEvalPoint1"))
(define glEvalPoint2 (c-lambda (GLint GLint) void "glEvalPoint2"))
(define glFeedbackBuffer (c-lambda (GLsizei GLenum (pointer GLfloat)) void "glFeedbackBuffer"))
(define glFinish (c-lambda () void "glFinish"))
(define glFlush (c-lambda () void "glFlush"))
(define glFogf (c-lambda (GLenum GLfloat) void "glFogf"))
(define glFogfv (c-lambda (GLenum (pointer GLfloat)) void "glFogfv"))
(define glFogi (c-lambda (GLenum GLint) void "glFogi"))
(define glFogiv (c-lambda (GLenum (pointer GLint)) void "glFogiv"))
(define glFrontFace (c-lambda (GLenum) void "glFrontFace"))
(define glFrustum (c-lambda (GLdouble GLdouble GLdouble GLdouble GLdouble GLdouble) void "glFrustum"))
(define glGenLists (c-lambda (GLsizei) GLuint "glGenLists"))
(define glGenTextures (c-lambda (GLsizei (pointer GLuint)) void "glGenTextures"))
(define glGetBooleanv (c-lambda (GLenum (pointer GLboolean)) void "glGetBooleanv"))
(define glGetClipPlane (c-lambda (GLenum (pointer GLdouble)) void "glGetClipPlane"))
(define glGetColorTable (c-lambda (GLenum GLenum GLenum (pointer GLvoid)) void "glGetColorTable"))
(define glGetColorTableParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetColorTableParameterfv"))
(define glGetColorTableParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetColorTableParameteriv"))
(define glGetConvolutionFilter (c-lambda (GLenum GLenum GLenum (pointer GLvoid)) void "glGetConvolutionFilter"))
(define glGetConvolutionParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetConvolutionParameterfv"))
(define glGetConvolutionParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetConvolutionParameteriv"))
(define glGetDoublev (c-lambda (GLenum (pointer GLdouble)) void "glGetDoublev"))
(define glGetError (c-lambda () GLenum "glGetError"))
(define glGetFloatv (c-lambda (GLenum (pointer GLfloat)) void "glGetFloatv"))
(define glGetHistogram (c-lambda (GLenum GLboolean GLenum GLenum (pointer GLvoid)) void "glGetHistogram"))
(define glGetHistogramParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetHistogramParameterfv"))
(define glGetHistogramParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetHistogramParameteriv"))
(define glGetIntegerv (c-lambda (GLenum (pointer GLint)) void "glGetIntegerv"))
(define glGetLightfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetLightfv"))
(define glGetLightiv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetLightiv"))
(define glGetMapdv (c-lambda (GLenum GLenum (pointer GLdouble)) void "glGetMapdv"))
(define glGetMapfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetMapfv"))
(define glGetMapiv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetMapiv"))
(define glGetMaterialfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetMaterialfv"))
(define glGetMaterialiv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetMaterialiv"))
(define glGetMinmax (c-lambda (GLenum GLboolean GLenum GLenum (pointer GLvoid)) void "glGetMinmax"))
(define glGetMinmaxParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetMinmaxParameterfv"))
(define glGetMinmaxParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetMinmaxParameteriv"))
(define glGetPixelMapfv (c-lambda (GLenum (pointer GLfloat)) void "glGetPixelMapfv"))
(define glGetPixelMapuiv (c-lambda (GLenum (pointer GLuint)) void "glGetPixelMapuiv"))
(define glGetPixelMapusv (c-lambda (GLenum (pointer GLushort)) void "glGetPixelMapusv"))
(define glGetPointerv (c-lambda (GLenum (pointer (pointer GLvoid))) void "glGetPointerv"))
(define glGetPolygonStipple (c-lambda ((pointer GLubyte)) void "glGetPolygonStipple"))
(define glGetSeparableFilter (c-lambda (GLenum GLenum GLenum (pointer GLvoid) (pointer GLvoid) (pointer GLvoid)) void "glGetSeparableFilter"))
; extern const GLubyte * glGetString (GLenum name); 
(define glGetTexEnvfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetTexEnvfv"))
(define glGetTexEnviv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetTexEnviv"))
(define glGetTexGendv (c-lambda (GLenum GLenum (pointer GLdouble)) void "glGetTexGendv"))
(define glGetTexGenfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetTexGenfv"))
(define glGetTexGeniv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetTexGeniv"))
(define glGetTexImage (c-lambda (GLenum GLint GLenum GLenum (pointer GLvoid)) void "glGetTexImage"))
(define glGetTexLevelParameterfv (c-lambda (GLenum GLint GLenum (pointer GLfloat)) void "glGetTexLevelParameterfv"))
(define glGetTexLevelParameteriv (c-lambda (GLenum GLint GLenum (pointer GLint)) void "glGetTexLevelParameteriv"))
(define glGetTexParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glGetTexParameterfv"))
(define glGetTexParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetTexParameteriv"))
(define glHint (c-lambda (GLenum GLenum) void "glHint"))
(define glHistogram (c-lambda (GLenum GLsizei GLenum GLboolean) void "glHistogram"))
(define glIndexMask (c-lambda (GLuint) void "glIndexMask"))
(define glIndexPointer (c-lambda (GLenum GLsizei (pointer GLvoid)) void "glIndexPointer"))
(define glIndexd (c-lambda (GLdouble) void "glIndexd"))
(define glIndexdv (c-lambda ((pointer GLdouble)) void "glIndexdv"))
(define glIndexf (c-lambda (GLfloat) void "glIndexf"))
(define glIndexfv (c-lambda ((pointer GLfloat)) void "glIndexfv"))
(define glIndexi (c-lambda (GLint) void "glIndexi"))
(define glIndexiv (c-lambda ((pointer GLint)) void "glIndexiv"))
(define glIndexs (c-lambda (GLshort) void "glIndexs"))
(define glIndexsv (c-lambda ((pointer GLshort)) void "glIndexsv"))
(define glIndexub (c-lambda (GLubyte) void "glIndexub"))
(define glIndexubv (c-lambda ((pointer GLubyte)) void "glIndexubv"))
(define glInitNames (c-lambda () void "glInitNames"))
(define glInterleavedArrays (c-lambda (GLenum GLsizei (pointer GLvoid)) void "glInterleavedArrays"))
(define glIsEnabled (c-lambda (GLenum) GLboolean "glIsEnabled"))
(define glIsList (c-lambda (GLuint) GLboolean "glIsList"))
(define glIsTexture (c-lambda (GLuint) GLboolean "glIsTexture"))
(define glLightModelf (c-lambda (GLenum GLfloat) void "glLightModelf"))
(define glLightModelfv (c-lambda (GLenum (pointer GLfloat)) void "glLightModelfv"))
(define glLightModeli (c-lambda (GLenum GLint) void "glLightModeli"))
(define glLightModeliv (c-lambda (GLenum (pointer GLint)) void "glLightModeliv"))
(define glLightf (c-lambda (GLenum GLenum GLfloat) void "glLightf"))
(define glLightfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glLightfv"))
(define glLighti (c-lambda (GLenum GLenum GLint) void "glLighti"))
(define glLightiv (c-lambda (GLenum GLenum (pointer GLint)) void "glLightiv"))
(define glLineStipple (c-lambda (GLint GLushort) void "glLineStipple"))
(define glLineWidth (c-lambda (GLfloat) void "glLineWidth"))
(define glListBase (c-lambda (GLuint) void "glListBase"))
(define glLoadIdentity (c-lambda () void "glLoadIdentity"))
(define glLoadMatrixd (c-lambda ((pointer GLdouble)) void "glLoadMatrixd"))
(define glLoadMatrixf (c-lambda ((pointer GLfloat)) void "glLoadMatrixf"))
(define glLoadName (c-lambda (GLuint) void "glLoadName"))
(define glLogicOp (c-lambda (GLenum) void "glLogicOp"))
(define glMap1d (c-lambda (GLenum GLdouble GLdouble GLint GLint (pointer GLdouble)) void "glMap1d"))
(define glMap1f (c-lambda (GLenum GLfloat GLfloat GLint GLint (pointer GLfloat)) void "glMap1f"))
(define glMap2d (c-lambda (GLenum GLdouble GLdouble GLint GLint GLdouble GLdouble GLint GLint (pointer GLdouble)) void "glMap2d"))
(define glMap2f (c-lambda (GLenum GLfloat GLfloat GLint GLint GLfloat GLfloat GLint GLint (pointer GLfloat)) void "glMap2f"))
(define glMapGrid1d (c-lambda (GLint GLdouble GLdouble) void "glMapGrid1d"))
(define glMapGrid1f (c-lambda (GLint GLfloat GLfloat) void "glMapGrid1f"))
(define glMapGrid2d (c-lambda (GLint GLdouble GLdouble GLint GLdouble GLdouble) void "glMapGrid2d"))
(define glMapGrid2f (c-lambda (GLint GLfloat GLfloat GLint GLfloat GLfloat) void "glMapGrid2f"))
(define glMaterialf (c-lambda (GLenum GLenum GLfloat) void "glMaterialf"))
(define glMaterialfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glMaterialfv"))
(define glMateriali (c-lambda (GLenum GLenum GLint) void "glMateriali"))
(define glMaterialiv (c-lambda (GLenum GLenum (pointer GLint)) void "glMaterialiv"))
(define glMatrixMode (c-lambda (GLenum) void "glMatrixMode"))
(define glMinmax (c-lambda (GLenum GLenum GLboolean) void "glMinmax"))
(define glMultMatrixd (c-lambda ((pointer GLdouble)) void "glMultMatrixd"))
(define glMultMatrixf (c-lambda ((pointer GLfloat)) void "glMultMatrixf"))
(define glNewList (c-lambda (GLuint GLenum) void "glNewList"))
(define glNormal3b (c-lambda (GLbyte GLbyte GLbyte) void "glNormal3b"))
(define glNormal3bv (c-lambda ((pointer GLbyte)) void "glNormal3bv"))
(define glNormal3d (c-lambda (GLdouble GLdouble GLdouble) void "glNormal3d"))
(define glNormal3dv (c-lambda ((pointer GLdouble)) void "glNormal3dv"))
(define glNormal3f (c-lambda (GLfloat GLfloat GLfloat) void "glNormal3f"))
(define glNormal3fv (c-lambda ((pointer GLfloat)) void "glNormal3fv"))
(define glNormal3i (c-lambda (GLint GLint GLint) void "glNormal3i"))
(define glNormal3iv (c-lambda ((pointer GLint)) void "glNormal3iv"))
(define glNormal3s (c-lambda (GLshort GLshort GLshort) void "glNormal3s"))
(define glNormal3sv (c-lambda ((pointer GLshort)) void "glNormal3sv"))
(define glNormalPointer (c-lambda (GLenum GLsizei (pointer GLvoid)) void "glNormalPointer"))
(define glOrtho (c-lambda (GLdouble GLdouble GLdouble GLdouble GLdouble GLdouble) void "glOrtho"))
(define glPassThrough (c-lambda (GLfloat) void "glPassThrough"))
(define glPixelMapfv (c-lambda (GLenum GLint (pointer GLfloat)) void "glPixelMapfv"))
(define glPixelMapuiv (c-lambda (GLenum GLint (pointer GLuint)) void "glPixelMapuiv"))
(define glPixelMapusv (c-lambda (GLenum GLint (pointer GLushort)) void "glPixelMapusv"))
(define glPixelStoref (c-lambda (GLenum GLfloat) void "glPixelStoref"))
(define glPixelStorei (c-lambda (GLenum GLint) void "glPixelStorei"))
(define glPixelTransferf (c-lambda (GLenum GLfloat) void "glPixelTransferf"))
(define glPixelTransferi (c-lambda (GLenum GLint) void "glPixelTransferi"))
(define glPixelZoom (c-lambda (GLfloat GLfloat) void "glPixelZoom"))
(define glPointSize (c-lambda (GLfloat) void "glPointSize"))
(define glPolygonMode (c-lambda (GLenum GLenum) void "glPolygonMode"))
(define glPolygonOffset (c-lambda (GLfloat GLfloat) void "glPolygonOffset"))
(define glPolygonStipple (c-lambda ((pointer GLubyte)) void "glPolygonStipple"))
(define glPopAttrib (c-lambda () void "glPopAttrib"))
(define glPopClientAttrib (c-lambda () void "glPopClientAttrib"))
(define glPopMatrix (c-lambda () void "glPopMatrix"))
(define glPopName (c-lambda () void "glPopName"))
(define glPrioritizeTextures (c-lambda (GLsizei (pointer GLuint) (pointer GLclampf)) void "glPrioritizeTextures"))
(define glPushAttrib (c-lambda (GLbitfield) void "glPushAttrib"))
(define glPushClientAttrib (c-lambda (GLbitfield) void "glPushClientAttrib"))
(define glPushMatrix (c-lambda () void "glPushMatrix"))
(define glPushName (c-lambda (GLuint) void "glPushName"))
(define glRasterPos2d (c-lambda (GLdouble GLdouble) void "glRasterPos2d"))
(define glRasterPos2dv (c-lambda ((pointer GLdouble)) void "glRasterPos2dv"))
(define glRasterPos2f (c-lambda (GLfloat GLfloat) void "glRasterPos2f"))
(define glRasterPos2fv (c-lambda ((pointer GLfloat)) void "glRasterPos2fv"))
(define glRasterPos2i (c-lambda (GLint GLint) void "glRasterPos2i"))
(define glRasterPos2iv (c-lambda ((pointer GLint)) void "glRasterPos2iv"))
(define glRasterPos2s (c-lambda (GLshort GLshort) void "glRasterPos2s"))
(define glRasterPos2sv (c-lambda ((pointer GLshort)) void "glRasterPos2sv"))
(define glRasterPos3d (c-lambda (GLdouble GLdouble GLdouble) void "glRasterPos3d"))
(define glRasterPos3dv (c-lambda ((pointer GLdouble)) void "glRasterPos3dv"))
(define glRasterPos3f (c-lambda (GLfloat GLfloat GLfloat) void "glRasterPos3f"))
(define glRasterPos3fv (c-lambda ((pointer GLfloat)) void "glRasterPos3fv"))
(define glRasterPos3i (c-lambda (GLint GLint GLint) void "glRasterPos3i"))
(define glRasterPos3iv (c-lambda ((pointer GLint)) void "glRasterPos3iv"))
(define glRasterPos3s (c-lambda (GLshort GLshort GLshort) void "glRasterPos3s"))
(define glRasterPos3sv (c-lambda ((pointer GLshort)) void "glRasterPos3sv"))
(define glRasterPos4d (c-lambda (GLdouble GLdouble GLdouble GLdouble) void "glRasterPos4d"))
(define glRasterPos4dv (c-lambda ((pointer GLdouble)) void "glRasterPos4dv"))
(define glRasterPos4f (c-lambda (GLfloat GLfloat GLfloat GLfloat) void "glRasterPos4f"))
(define glRasterPos4fv (c-lambda ((pointer GLfloat)) void "glRasterPos4fv"))
(define glRasterPos4i (c-lambda (GLint GLint GLint GLint) void "glRasterPos4i"))
(define glRasterPos4iv (c-lambda ((pointer GLint)) void "glRasterPos4iv"))
(define glRasterPos4s (c-lambda (GLshort GLshort GLshort GLshort) void "glRasterPos4s"))
(define glRasterPos4sv (c-lambda ((pointer GLshort)) void "glRasterPos4sv"))
(define glReadBuffer (c-lambda (GLenum) void "glReadBuffer"))
(define glReadPixels (c-lambda (GLint GLint GLsizei GLsizei GLenum GLenum (pointer GLvoid)) void "glReadPixels"))
(define glRectd (c-lambda (GLdouble GLdouble GLdouble GLdouble) void "glRectd"))
(define glRectdv (c-lambda ((pointer GLdouble) (pointer GLdouble)) void "glRectdv"))
(define glRectf (c-lambda (GLfloat GLfloat GLfloat GLfloat) void "glRectf"))
(define glRectfv (c-lambda ((pointer GLfloat) (pointer GLfloat)) void "glRectfv"))
(define glRecti (c-lambda (GLint GLint GLint GLint) void "glRecti"))
(define glRectiv (c-lambda ((pointer GLint) (pointer GLint)) void "glRectiv"))
(define glRects (c-lambda (GLshort GLshort GLshort GLshort) void "glRects"))
(define glRectsv (c-lambda ((pointer GLshort) (pointer GLshort)) void "glRectsv"))
(define glRenderMode (c-lambda (GLenum) GLint "glRenderMode"))
(define glResetHistogram (c-lambda (GLenum) void "glResetHistogram"))
(define glResetMinmax (c-lambda (GLenum) void "glResetMinmax"))
(define glRotated (c-lambda (GLdouble GLdouble GLdouble GLdouble) void "glRotated"))
(define glRotatef (c-lambda (GLfloat GLfloat GLfloat GLfloat) void "glRotatef"))
(define glScaled (c-lambda (GLdouble GLdouble GLdouble) void "glScaled"))
(define glScalef (c-lambda (GLfloat GLfloat GLfloat) void "glScalef"))
(define glScissor (c-lambda (GLint GLint GLsizei GLsizei) void "glScissor"))
(define glSelectBuffer (c-lambda (GLsizei (pointer GLuint)) void "glSelectBuffer"))
(define glSeparableFilter2D (c-lambda (GLenum GLenum GLsizei GLsizei GLenum GLenum (pointer GLvoid) (pointer GLvoid)) void "glSeparableFilter2D"))
(define glShadeModel (c-lambda (GLenum) void "glShadeModel"))
(define glStencilFunc (c-lambda (GLenum GLint GLuint) void "glStencilFunc"))
(define glStencilMask (c-lambda (GLuint) void "glStencilMask"))
(define glStencilOp (c-lambda (GLenum GLenum GLenum) void "glStencilOp"))
(define glTexCoord1d (c-lambda (GLdouble) void "glTexCoord1d"))
(define glTexCoord1dv (c-lambda ((pointer GLdouble)) void "glTexCoord1dv"))
(define glTexCoord1f (c-lambda (GLfloat) void "glTexCoord1f"))
(define glTexCoord1fv (c-lambda ((pointer GLfloat)) void "glTexCoord1fv"))
(define glTexCoord1i (c-lambda (GLint) void "glTexCoord1i"))
(define glTexCoord1iv (c-lambda ((pointer GLint)) void "glTexCoord1iv"))
(define glTexCoord1s (c-lambda (GLshort) void "glTexCoord1s"))
(define glTexCoord1sv (c-lambda ((pointer GLshort)) void "glTexCoord1sv"))
(define glTexCoord2d (c-lambda (GLdouble GLdouble) void "glTexCoord2d"))
(define glTexCoord2dv (c-lambda ((pointer GLdouble)) void "glTexCoord2dv"))
(define glTexCoord2f (c-lambda (GLfloat GLfloat) void "glTexCoord2f"))
(define glTexCoord2fv (c-lambda ((pointer GLfloat)) void "glTexCoord2fv"))
(define glTexCoord2i (c-lambda (GLint GLint) void "glTexCoord2i"))
(define glTexCoord2iv (c-lambda ((pointer GLint)) void "glTexCoord2iv"))
(define glTexCoord2s (c-lambda (GLshort GLshort) void "glTexCoord2s"))
(define glTexCoord2sv (c-lambda ((pointer GLshort)) void "glTexCoord2sv"))
(define glTexCoord3d (c-lambda (GLdouble GLdouble GLdouble) void "glTexCoord3d"))
(define glTexCoord3dv (c-lambda ((pointer GLdouble)) void "glTexCoord3dv"))
(define glTexCoord3f (c-lambda (GLfloat GLfloat GLfloat) void "glTexCoord3f"))
(define glTexCoord3fv (c-lambda ((pointer GLfloat)) void "glTexCoord3fv"))
(define glTexCoord3i (c-lambda (GLint GLint GLint) void "glTexCoord3i"))
(define glTexCoord3iv (c-lambda ((pointer GLint)) void "glTexCoord3iv"))
(define glTexCoord3s (c-lambda (GLshort GLshort GLshort) void "glTexCoord3s"))
(define glTexCoord3sv (c-lambda ((pointer GLshort)) void "glTexCoord3sv"))
(define glTexCoord4d (c-lambda (GLdouble GLdouble GLdouble GLdouble) void "glTexCoord4d"))
(define glTexCoord4dv (c-lambda ((pointer GLdouble)) void "glTexCoord4dv"))
(define glTexCoord4f (c-lambda (GLfloat GLfloat GLfloat GLfloat) void "glTexCoord4f"))
(define glTexCoord4fv (c-lambda ((pointer GLfloat)) void "glTexCoord4fv"))
(define glTexCoord4i (c-lambda (GLint GLint GLint GLint) void "glTexCoord4i"))
(define glTexCoord4iv (c-lambda ((pointer GLint)) void "glTexCoord4iv"))
(define glTexCoord4s (c-lambda (GLshort GLshort GLshort GLshort) void "glTexCoord4s"))
(define glTexCoord4sv (c-lambda ((pointer GLshort)) void "glTexCoord4sv"))
(define glTexCoordPointer (c-lambda (GLint GLenum GLsizei (pointer GLvoid)) void "glTexCoordPointer"))
(define glTexEnvf (c-lambda (GLenum GLenum GLfloat) void "glTexEnvf"))
(define glTexEnvfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glTexEnvfv"))
(define glTexEnvi (c-lambda (GLenum GLenum GLint) void "glTexEnvi"))
(define glTexEnviv (c-lambda (GLenum GLenum (pointer GLint)) void "glTexEnviv"))
(define glTexGend (c-lambda (GLenum GLenum GLdouble) void "glTexGend"))
(define glTexGendv (c-lambda (GLenum GLenum (pointer GLdouble)) void "glTexGendv"))
(define glTexGenf (c-lambda (GLenum GLenum GLfloat) void "glTexGenf"))
(define glTexGenfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glTexGenfv"))
(define glTexGeni (c-lambda (GLenum GLenum GLint) void "glTexGeni"))
(define glTexGeniv (c-lambda (GLenum GLenum (pointer GLint)) void "glTexGeniv"))
(define glTexImage1D (c-lambda (GLenum GLint GLenum GLsizei GLint GLenum GLenum (pointer GLvoid)) void "glTexImage1D"))
(define glTexImage2D (c-lambda (GLenum GLint GLenum GLsizei GLsizei GLint GLenum GLenum (pointer GLvoid)) void "glTexImage2D"))
(define glTexImage3D (c-lambda (GLenum GLint GLenum GLsizei GLsizei GLsizei GLint GLenum GLenum (pointer GLvoid)) void "glTexImage3D"))
(define glTexParameterf (c-lambda (GLenum GLenum GLfloat) void "glTexParameterf"))
(define glTexParameterfv (c-lambda (GLenum GLenum (pointer GLfloat)) void "glTexParameterfv"))
(define glTexParameteri (c-lambda (GLenum GLenum GLint) void "glTexParameteri"))
(define glTexParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glTexParameteriv"))
(define glTexSubImage1D (c-lambda (GLenum GLint GLint GLsizei GLenum GLenum (pointer GLvoid)) void "glTexSubImage1D"))
(define glTexSubImage2D (c-lambda (GLenum GLint GLint GLint GLsizei GLsizei GLenum GLenum (pointer GLvoid)) void "glTexSubImage2D"))
(define glTexSubImage3D (c-lambda (GLenum GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLenum (pointer GLvoid)) void "glTexSubImage3D"))
(define glTranslated (c-lambda (GLdouble GLdouble GLdouble) void "glTranslated"))
(define glTranslatef (c-lambda (GLfloat GLfloat GLfloat) void "glTranslatef"))
(define glVertex2d (c-lambda (GLdouble GLdouble) void "glVertex2d"))
(define glVertex2dv (c-lambda ((pointer GLdouble)) void "glVertex2dv"))
(define glVertex2f (c-lambda (GLfloat GLfloat) void "glVertex2f"))
(define glVertex2fv (c-lambda ((pointer GLfloat)) void "glVertex2fv"))
(define glVertex2i (c-lambda (GLint GLint) void "glVertex2i"))
(define glVertex2iv (c-lambda ((pointer GLint)) void "glVertex2iv"))
(define glVertex2s (c-lambda (GLshort GLshort) void "glVertex2s"))
(define glVertex2sv (c-lambda ((pointer GLshort)) void "glVertex2sv"))
(define glVertex3d (c-lambda (GLdouble GLdouble GLdouble) void "glVertex3d"))
(define glVertex3dv (c-lambda ((pointer GLdouble)) void "glVertex3dv"))
(define glVertex3f (c-lambda (GLfloat GLfloat GLfloat) void "glVertex3f"))
(define glVertex3fv (c-lambda ((pointer GLfloat)) void "glVertex3fv"))
(define glVertex3i (c-lambda (GLint GLint GLint) void "glVertex3i"))
(define glVertex3iv (c-lambda ((pointer GLint)) void "glVertex3iv"))
(define glVertex3s (c-lambda (GLshort GLshort GLshort) void "glVertex3s"))
(define glVertex3sv (c-lambda ((pointer GLshort)) void "glVertex3sv"))
(define glVertex4d (c-lambda (GLdouble GLdouble GLdouble GLdouble) void "glVertex4d"))
(define glVertex4dv (c-lambda ((pointer GLdouble)) void "glVertex4dv"))
(define glVertex4f (c-lambda (GLfloat GLfloat GLfloat GLfloat) void "glVertex4f"))
(define glVertex4fv (c-lambda ((pointer GLfloat)) void "glVertex4fv"))
(define glVertex4i (c-lambda (GLint GLint GLint GLint) void "glVertex4i"))
(define glVertex4iv (c-lambda ((pointer GLint)) void "glVertex4iv"))
(define glVertex4s (c-lambda (GLshort GLshort GLshort GLshort) void "glVertex4s"))
(define glVertex4sv (c-lambda ((pointer GLshort)) void "glVertex4sv"))
(define glVertexPointer (c-lambda (GLint GLenum GLsizei (pointer GLvoid)) void "glVertexPointer"))
(define glViewport (c-lambda (GLint GLint GLsizei GLsizei) void "glViewport"))
;  
(define glSampleCoverage (c-lambda (GLclampf GLboolean) void "glSampleCoverage"))
(define glSamplePass (c-lambda (GLenum) void "glSamplePass"))
;  
(define glLoadTransposeMatrixf (c-lambda ((pointer GLfloat)) void "glLoadTransposeMatrixf"))
(define glLoadTransposeMatrixd (c-lambda ((pointer GLdouble)) void "glLoadTransposeMatrixd"))
(define glMultTransposeMatrixf (c-lambda ((pointer GLfloat)) void "glMultTransposeMatrixf"))
(define glMultTransposeMatrixd (c-lambda ((pointer GLdouble)) void "glMultTransposeMatrixd"))
;  
(define glCompressedTexImage3D (c-lambda (GLenum GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei (pointer GLvoid)) void "glCompressedTexImage3D"))
(define glCompressedTexImage2D (c-lambda (GLenum GLint GLenum GLsizei GLsizei GLint GLsizei (pointer GLvoid)) void "glCompressedTexImage2D"))
(define glCompressedTexImage1D (c-lambda (GLenum GLint GLenum GLsizei GLint GLsizei (pointer GLvoid)) void "glCompressedTexImage1D"))
(define glCompressedTexSubImage3D (c-lambda (GLenum GLint GLint GLint GLint GLsizei GLsizei GLsizei GLenum GLsizei (pointer GLvoid)) void "glCompressedTexSubImage3D"))
(define glCompressedTexSubImage2D (c-lambda (GLenum GLint GLint GLint GLsizei GLsizei GLenum GLsizei (pointer GLvoid)) void "glCompressedTexSubImage2D"))
(define glCompressedTexSubImage1D (c-lambda (GLenum GLint GLint GLsizei GLenum GLsizei (pointer GLvoid)) void "glCompressedTexSubImage1D"))
(define glGetCompressedTexImage (c-lambda (GLenum GLint (pointer GLvoid)) void "glGetCompressedTexImage"))
;  
(define glActiveTexture (c-lambda (GLenum) void "glActiveTexture"))
(define glClientActiveTexture (c-lambda (GLenum) void "glClientActiveTexture"))
(define glMultiTexCoord1d (c-lambda (GLenum GLdouble) void "glMultiTexCoord1d"))
(define glMultiTexCoord1dv (c-lambda (GLenum (pointer GLdouble)) void "glMultiTexCoord1dv"))
(define glMultiTexCoord1f (c-lambda (GLenum GLfloat) void "glMultiTexCoord1f"))
(define glMultiTexCoord1fv (c-lambda (GLenum (pointer GLfloat)) void "glMultiTexCoord1fv"))
(define glMultiTexCoord1i (c-lambda (GLenum GLint) void "glMultiTexCoord1i"))
(define glMultiTexCoord1iv (c-lambda (GLenum (pointer GLint)) void "glMultiTexCoord1iv"))
(define glMultiTexCoord1s (c-lambda (GLenum GLshort) void "glMultiTexCoord1s"))
(define glMultiTexCoord1sv (c-lambda (GLenum (pointer GLshort)) void "glMultiTexCoord1sv"))
(define glMultiTexCoord2d (c-lambda (GLenum GLdouble GLdouble) void "glMultiTexCoord2d"))
(define glMultiTexCoord2dv (c-lambda (GLenum (pointer GLdouble)) void "glMultiTexCoord2dv"))
(define glMultiTexCoord2f (c-lambda (GLenum GLfloat GLfloat) void "glMultiTexCoord2f"))
(define glMultiTexCoord2fv (c-lambda (GLenum (pointer GLfloat)) void "glMultiTexCoord2fv"))
(define glMultiTexCoord2i (c-lambda (GLenum GLint GLint) void "glMultiTexCoord2i"))
(define glMultiTexCoord2iv (c-lambda (GLenum (pointer GLint)) void "glMultiTexCoord2iv"))
(define glMultiTexCoord2s (c-lambda (GLenum GLshort GLshort) void "glMultiTexCoord2s"))
(define glMultiTexCoord2sv (c-lambda (GLenum (pointer GLshort)) void "glMultiTexCoord2sv"))
(define glMultiTexCoord3d (c-lambda (GLenum GLdouble GLdouble GLdouble) void "glMultiTexCoord3d"))
(define glMultiTexCoord3dv (c-lambda (GLenum (pointer GLdouble)) void "glMultiTexCoord3dv"))
(define glMultiTexCoord3f (c-lambda (GLenum GLfloat GLfloat GLfloat) void "glMultiTexCoord3f"))
(define glMultiTexCoord3fv (c-lambda (GLenum (pointer GLfloat)) void "glMultiTexCoord3fv"))
(define glMultiTexCoord3i (c-lambda (GLenum GLint GLint GLint) void "glMultiTexCoord3i"))
(define glMultiTexCoord3iv (c-lambda (GLenum (pointer GLint)) void "glMultiTexCoord3iv"))
(define glMultiTexCoord3s (c-lambda (GLenum GLshort GLshort GLshort) void "glMultiTexCoord3s"))
(define glMultiTexCoord3sv (c-lambda (GLenum (pointer GLshort)) void "glMultiTexCoord3sv"))
(define glMultiTexCoord4d (c-lambda (GLenum GLdouble GLdouble GLdouble GLdouble) void "glMultiTexCoord4d"))
(define glMultiTexCoord4dv (c-lambda (GLenum (pointer GLdouble)) void "glMultiTexCoord4dv"))
(define glMultiTexCoord4f (c-lambda (GLenum GLfloat GLfloat GLfloat GLfloat) void "glMultiTexCoord4f"))
(define glMultiTexCoord4fv (c-lambda (GLenum (pointer GLfloat)) void "glMultiTexCoord4fv"))
(define glMultiTexCoord4i (c-lambda (GLenum GLint GLint GLint GLint) void "glMultiTexCoord4i"))
(define glMultiTexCoord4iv (c-lambda (GLenum (pointer GLint)) void "glMultiTexCoord4iv"))
(define glMultiTexCoord4s (c-lambda (GLenum GLshort GLshort GLshort GLshort) void "glMultiTexCoord4s"))
(define glMultiTexCoord4sv (c-lambda (GLenum (pointer GLshort)) void "glMultiTexCoord4sv"))
;  
(define glFogCoordf (c-lambda (GLfloat) void "glFogCoordf"))
(define glFogCoordfv (c-lambda ((pointer GLfloat)) void "glFogCoordfv"))
(define glFogCoordd (c-lambda (GLdouble) void "glFogCoordd"))
(define glFogCoorddv (c-lambda ((pointer GLdouble)) void "glFogCoorddv"))
(define glFogCoordPointer (c-lambda (GLenum GLsizei (pointer GLvoid)) void "glFogCoordPointer"))
;  
(define glSecondaryColor3b (c-lambda (GLbyte GLbyte GLbyte) void "glSecondaryColor3b"))
(define glSecondaryColor3bv (c-lambda ((pointer GLbyte)) void "glSecondaryColor3bv"))
(define glSecondaryColor3d (c-lambda (GLdouble GLdouble GLdouble) void "glSecondaryColor3d"))
(define glSecondaryColor3dv (c-lambda ((pointer GLdouble)) void "glSecondaryColor3dv"))
(define glSecondaryColor3f (c-lambda (GLfloat GLfloat GLfloat) void "glSecondaryColor3f"))
(define glSecondaryColor3fv (c-lambda ((pointer GLfloat)) void "glSecondaryColor3fv"))
(define glSecondaryColor3i (c-lambda (GLint GLint GLint) void "glSecondaryColor3i"))
(define glSecondaryColor3iv (c-lambda ((pointer GLint)) void "glSecondaryColor3iv"))
(define glSecondaryColor3s (c-lambda (GLshort GLshort GLshort) void "glSecondaryColor3s"))
(define glSecondaryColor3sv (c-lambda ((pointer GLshort)) void "glSecondaryColor3sv"))
(define glSecondaryColor3ub (c-lambda (GLubyte GLubyte GLubyte) void "glSecondaryColor3ub"))
(define glSecondaryColor3ubv (c-lambda ((pointer GLubyte)) void "glSecondaryColor3ubv"))
(define glSecondaryColor3ui (c-lambda (GLuint GLuint GLuint) void "glSecondaryColor3ui"))
(define glSecondaryColor3uiv (c-lambda ((pointer GLuint)) void "glSecondaryColor3uiv"))
(define glSecondaryColor3us (c-lambda (GLushort GLushort GLushort) void "glSecondaryColor3us"))
(define glSecondaryColor3usv (c-lambda ((pointer GLushort)) void "glSecondaryColor3usv"))
(define glSecondaryColorPointer (c-lambda (GLint GLenum GLsizei (pointer GLvoid)) void "glSecondaryColorPointer"))
;  
(define glPointParameterf (c-lambda (GLenum GLfloat) void "glPointParameterf"))
(define glPointParameterfv (c-lambda (GLenum (pointer GLfloat)) void "glPointParameterfv"))
(define glPointParameteri (c-lambda (GLenum GLint) void "glPointParameteri"))
(define glPointParameteriv (c-lambda (GLenum (pointer GLint)) void "glPointParameteriv"))
;  
(define glBlendFuncSeparate (c-lambda (GLenum GLenum GLenum GLenum) void "glBlendFuncSeparate"))
;  
(define glMultiDrawArrays (c-lambda (GLenum (pointer GLint) (pointer GLsizei) GLsizei) void "glMultiDrawArrays"))
(define glMultiDrawElements (c-lambda (GLenum (pointer GLsizei) GLenum (pointer (pointer GLvoid)) GLsizei) void "glMultiDrawElements"))
;  
(define glWindowPos2d (c-lambda (GLdouble GLdouble) void "glWindowPos2d"))
(define glWindowPos2dv (c-lambda ((pointer GLdouble)) void "glWindowPos2dv"))
(define glWindowPos2f (c-lambda (GLfloat GLfloat) void "glWindowPos2f"))
(define glWindowPos2fv (c-lambda ((pointer GLfloat)) void "glWindowPos2fv"))
(define glWindowPos2i (c-lambda (GLint GLint) void "glWindowPos2i"))
(define glWindowPos2iv (c-lambda ((pointer GLint)) void "glWindowPos2iv"))
(define glWindowPos2s (c-lambda (GLshort GLshort) void "glWindowPos2s"))
(define glWindowPos2sv (c-lambda ((pointer GLshort)) void "glWindowPos2sv"))
(define glWindowPos3d (c-lambda (GLdouble GLdouble GLdouble) void "glWindowPos3d"))
(define glWindowPos3dv (c-lambda ((pointer GLdouble)) void "glWindowPos3dv"))
(define glWindowPos3f (c-lambda (GLfloat GLfloat GLfloat) void "glWindowPos3f"))
(define glWindowPos3fv (c-lambda ((pointer GLfloat)) void "glWindowPos3fv"))
(define glWindowPos3i (c-lambda (GLint GLint GLint) void "glWindowPos3i"))
(define glWindowPos3iv (c-lambda ((pointer GLint)) void "glWindowPos3iv"))
(define glWindowPos3s (c-lambda (GLshort GLshort GLshort) void "glWindowPos3s"))
(define glWindowPos3sv (c-lambda ((pointer GLshort)) void "glWindowPos3sv"))
;  
(define glGenQueries (c-lambda (GLsizei (pointer GLuint)) void "glGenQueries"))
(define glDeleteQueries (c-lambda (GLsizei (pointer GLuint)) void "glDeleteQueries"))
(define glIsQuery (c-lambda (GLuint) GLboolean "glIsQuery"))
(define glBeginQuery (c-lambda (GLenum GLuint) void "glBeginQuery"))
(define glEndQuery (c-lambda (GLenum) void "glEndQuery"))
(define glGetQueryiv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetQueryiv"))
(define glGetQueryObjectiv (c-lambda (GLuint GLenum (pointer GLint)) void "glGetQueryObjectiv"))
(define glGetQueryObjectuiv (c-lambda (GLuint GLenum (pointer GLuint)) void "glGetQueryObjectuiv"))
;  
(define glBindBuffer (c-lambda (GLenum GLuint) void "glBindBuffer"))
(define glDeleteBuffers (c-lambda (GLsizei (pointer GLuint)) void "glDeleteBuffers"))
(define glGenBuffers (c-lambda (GLsizei (pointer GLuint)) void "glGenBuffers"))
(define glIsBuffer (c-lambda (GLuint) GLboolean "glIsBuffer"))
(define glBufferData (c-lambda (GLenum GLsizeiptr (pointer GLvoid) GLenum) void "glBufferData"))
(define glBufferSubData (c-lambda (GLenum GLintptr GLsizeiptr (pointer GLvoid)) void "glBufferSubData"))
(define glGetBufferSubData (c-lambda (GLenum GLintptr GLsizeiptr (pointer GLvoid)) void "glGetBufferSubData"))
; extern GLvoid * glMapBuffer (GLenum target, GLenum access); 
(define glUnmapBuffer (c-lambda (GLenum) GLboolean "glUnmapBuffer"))
(define glGetBufferParameteriv (c-lambda (GLenum GLenum (pointer GLint)) void "glGetBufferParameteriv"))
(define glGetBufferPointerv (c-lambda (GLenum GLenum (pointer (pointer GLvoid))) void "glGetBufferPointerv"))
;  
(define glDrawBuffers (c-lambda (GLsizei (pointer GLenum)) void "glDrawBuffers"))
(define glVertexAttrib1d (c-lambda (GLuint GLdouble) void "glVertexAttrib1d"))
(define glVertexAttrib1dv (c-lambda (GLuint (pointer GLdouble)) void "glVertexAttrib1dv"))
(define glVertexAttrib1f (c-lambda (GLuint GLfloat) void "glVertexAttrib1f"))
(define glVertexAttrib1fv (c-lambda (GLuint (pointer GLfloat)) void "glVertexAttrib1fv"))
(define glVertexAttrib1s (c-lambda (GLuint GLshort) void "glVertexAttrib1s"))
(define glVertexAttrib1sv (c-lambda (GLuint (pointer GLshort)) void "glVertexAttrib1sv"))
(define glVertexAttrib2d (c-lambda (GLuint GLdouble GLdouble) void "glVertexAttrib2d"))
(define glVertexAttrib2dv (c-lambda (GLuint (pointer GLdouble)) void "glVertexAttrib2dv"))
(define glVertexAttrib2f (c-lambda (GLuint GLfloat GLfloat) void "glVertexAttrib2f"))
(define glVertexAttrib2fv (c-lambda (GLuint (pointer GLfloat)) void "glVertexAttrib2fv"))
(define glVertexAttrib2s (c-lambda (GLuint GLshort GLshort) void "glVertexAttrib2s"))
(define glVertexAttrib2sv (c-lambda (GLuint (pointer GLshort)) void "glVertexAttrib2sv"))
(define glVertexAttrib3d (c-lambda (GLuint GLdouble GLdouble GLdouble) void "glVertexAttrib3d"))
(define glVertexAttrib3dv (c-lambda (GLuint (pointer GLdouble)) void "glVertexAttrib3dv"))
(define glVertexAttrib3f (c-lambda (GLuint GLfloat GLfloat GLfloat) void "glVertexAttrib3f"))
(define glVertexAttrib3fv (c-lambda (GLuint (pointer GLfloat)) void "glVertexAttrib3fv"))
(define glVertexAttrib3s (c-lambda (GLuint GLshort GLshort GLshort) void "glVertexAttrib3s"))
(define glVertexAttrib3sv (c-lambda (GLuint (pointer GLshort)) void "glVertexAttrib3sv"))
(define glVertexAttrib4Nbv (c-lambda (GLuint (pointer GLbyte)) void "glVertexAttrib4Nbv"))
(define glVertexAttrib4Niv (c-lambda (GLuint (pointer GLint)) void "glVertexAttrib4Niv"))
(define glVertexAttrib4Nsv (c-lambda (GLuint (pointer GLshort)) void "glVertexAttrib4Nsv"))
(define glVertexAttrib4Nub (c-lambda (GLuint GLubyte GLubyte GLubyte GLubyte) void "glVertexAttrib4Nub"))
(define glVertexAttrib4Nubv (c-lambda (GLuint (pointer GLubyte)) void "glVertexAttrib4Nubv"))
(define glVertexAttrib4Nuiv (c-lambda (GLuint (pointer GLuint)) void "glVertexAttrib4Nuiv"))
(define glVertexAttrib4Nusv (c-lambda (GLuint (pointer GLushort)) void "glVertexAttrib4Nusv"))
(define glVertexAttrib4bv (c-lambda (GLuint (pointer GLbyte)) void "glVertexAttrib4bv"))
(define glVertexAttrib4d (c-lambda (GLuint GLdouble GLdouble GLdouble GLdouble) void "glVertexAttrib4d"))
(define glVertexAttrib4dv (c-lambda (GLuint (pointer GLdouble)) void "glVertexAttrib4dv"))
(define glVertexAttrib4f (c-lambda (GLuint GLfloat GLfloat GLfloat GLfloat) void "glVertexAttrib4f"))
(define glVertexAttrib4fv (c-lambda (GLuint (pointer GLfloat)) void "glVertexAttrib4fv"))
(define glVertexAttrib4iv (c-lambda (GLuint (pointer GLint)) void "glVertexAttrib4iv"))
(define glVertexAttrib4s (c-lambda (GLuint GLshort GLshort GLshort GLshort) void "glVertexAttrib4s"))
(define glVertexAttrib4sv (c-lambda (GLuint (pointer GLshort)) void "glVertexAttrib4sv"))
(define glVertexAttrib4ubv (c-lambda (GLuint (pointer GLubyte)) void "glVertexAttrib4ubv"))
(define glVertexAttrib4uiv (c-lambda (GLuint (pointer GLuint)) void "glVertexAttrib4uiv"))
(define glVertexAttrib4usv (c-lambda (GLuint (pointer GLushort)) void "glVertexAttrib4usv"))
(define glVertexAttribPointer (c-lambda (GLuint GLint GLenum GLboolean GLsizei (pointer GLvoid)) void "glVertexAttribPointer"))
(define glEnableVertexAttribArray (c-lambda (GLuint) void "glEnableVertexAttribArray"))
(define glDisableVertexAttribArray (c-lambda (GLuint) void "glDisableVertexAttribArray"))
(define glGetVertexAttribdv (c-lambda (GLuint GLenum (pointer GLdouble)) void "glGetVertexAttribdv"))
(define glGetVertexAttribfv (c-lambda (GLuint GLenum (pointer GLfloat)) void "glGetVertexAttribfv"))
(define glGetVertexAttribiv (c-lambda (GLuint GLenum (pointer GLint)) void "glGetVertexAttribiv"))
(define glGetVertexAttribPointerv (c-lambda (GLuint GLenum (pointer (pointer GLvoid))) void "glGetVertexAttribPointerv"))
(define glDeleteShader (c-lambda (GLuint) void "glDeleteShader"))
(define glDetachShader (c-lambda (GLuint GLuint) void "glDetachShader"))
(define glCreateShader (c-lambda (GLenum) GLuint "glCreateShader"))
(define glShaderSource (c-lambda (GLuint GLsizei (pointer (pointer GLchar)) (pointer GLint)) void "glShaderSource"))
(define glCompileShader (c-lambda (GLuint) void "glCompileShader"))
(define glCreateProgram (c-lambda () GLuint "glCreateProgram"))
(define glAttachShader (c-lambda (GLuint GLuint) void "glAttachShader"))
(define glLinkProgram (c-lambda (GLuint) void "glLinkProgram"))
(define glUseProgram (c-lambda (GLuint) void "glUseProgram"))
(define glDeleteProgram (c-lambda (GLuint) void "glDeleteProgram"))
(define glValidateProgram (c-lambda (GLuint) void "glValidateProgram"))
(define glUniform1f (c-lambda (GLint GLfloat) void "glUniform1f"))
(define glUniform2f (c-lambda (GLint GLfloat GLfloat) void "glUniform2f"))
(define glUniform3f (c-lambda (GLint GLfloat GLfloat GLfloat) void "glUniform3f"))
(define glUniform4f (c-lambda (GLint GLfloat GLfloat GLfloat GLfloat) void "glUniform4f"))
(define glUniform1i (c-lambda (GLint GLint) void "glUniform1i"))
(define glUniform2i (c-lambda (GLint GLint GLint) void "glUniform2i"))
(define glUniform3i (c-lambda (GLint GLint GLint GLint) void "glUniform3i"))
(define glUniform4i (c-lambda (GLint GLint GLint GLint GLint) void "glUniform4i"))
(define glUniform1fv (c-lambda (GLint GLsizei (pointer GLfloat)) void "glUniform1fv"))
(define glUniform2fv (c-lambda (GLint GLsizei (pointer GLfloat)) void "glUniform2fv"))
(define glUniform3fv (c-lambda (GLint GLsizei (pointer GLfloat)) void "glUniform3fv"))
(define glUniform4fv (c-lambda (GLint GLsizei (pointer GLfloat)) void "glUniform4fv"))
(define glUniform1iv (c-lambda (GLint GLsizei (pointer GLint)) void "glUniform1iv"))
(define glUniform2iv (c-lambda (GLint GLsizei (pointer GLint)) void "glUniform2iv"))
(define glUniform3iv (c-lambda (GLint GLsizei (pointer GLint)) void "glUniform3iv"))
(define glUniform4iv (c-lambda (GLint GLsizei (pointer GLint)) void "glUniform4iv"))
(define glUniformMatrix2fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix2fv"))
(define glUniformMatrix3fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix3fv"))
(define glUniformMatrix4fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix4fv"))
(define glIsShader (c-lambda (GLuint) GLboolean "glIsShader"))
(define glIsProgram (c-lambda (GLuint) GLboolean "glIsProgram"))
(define glGetShaderiv (c-lambda (GLuint GLenum (pointer GLint)) void "glGetShaderiv"))
(define glGetProgramiv (c-lambda (GLuint GLenum (pointer GLint)) void "glGetProgramiv"))
(define glGetAttachedShaders (c-lambda (GLuint GLsizei (pointer GLsizei) (pointer GLuint)) void "glGetAttachedShaders"))
(define glGetShaderInfoLog (c-lambda (GLuint GLsizei (pointer GLsizei) (pointer GLchar)) void "glGetShaderInfoLog"))
(define glGetProgramInfoLog (c-lambda (GLuint GLsizei (pointer GLsizei) (pointer GLchar)) void "glGetProgramInfoLog"))
(define glGetUniformLocation (c-lambda (GLuint (pointer GLchar)) GLint "glGetUniformLocation"))
(define glGetActiveUniform (c-lambda (GLuint GLuint GLsizei (pointer GLsizei) (pointer GLint) (pointer GLenum) (pointer GLchar)) void "glGetActiveUniform"))
(define glGetUniformfv (c-lambda (GLuint GLint (pointer GLfloat)) void "glGetUniformfv"))
(define glGetUniformiv (c-lambda (GLuint GLint (pointer GLint)) void "glGetUniformiv"))
(define glGetShaderSource (c-lambda (GLuint GLsizei (pointer GLsizei) (pointer GLchar)) void "glGetShaderSource"))
(define glBindAttribLocation (c-lambda (GLuint GLuint (pointer GLchar)) void "glBindAttribLocation"))
(define glGetActiveAttrib (c-lambda (GLuint GLuint GLsizei (pointer GLsizei) (pointer GLint) (pointer GLenum) (pointer GLchar)) void "glGetActiveAttrib"))
(define glGetAttribLocation (c-lambda (GLuint (pointer GLchar)) GLint "glGetAttribLocation"))
(define glStencilFuncSeparate (c-lambda (GLenum GLenum GLint GLuint) void "glStencilFuncSeparate"))
(define glStencilOpSeparate (c-lambda (GLenum GLenum GLenum GLenum) void "glStencilOpSeparate"))
(define glStencilMaskSeparate (c-lambda (GLenum GLuint) void "glStencilMaskSeparate"))
;  
(define glUniformMatrix2x3fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix2x3fv"))
(define glUniformMatrix3x2fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix3x2fv"))
(define glUniformMatrix2x4fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix2x4fv"))
(define glUniformMatrix4x2fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix4x2fv"))
(define glUniformMatrix3x4fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix3x4fv"))
(define glUniformMatrix4x3fv (c-lambda (GLint GLsizei GLboolean (pointer GLfloat)) void "glUniformMatrix4x3fv"))
;  
;  
; #endif /* GL_GLEXT_FUNCTION_POINTERS */ 
;  
; #ifdef __cplusplus 
; } 
; #endif 
;  
; #endif /* __gl_h_ */ 
